namespace JayJayWon
{

    public static class VRSettingsUIHelp
    {
        public const string defaultHelpText = " \n\n";
        public const string handAttachDefaultText = "VR Settings determine how the main Game Control UI behaves when VAM is in VR mode.\n\nThe Hand Attach\\Detach options detemine which VR Hand (left or right) the UI is attached to and other related behaviours when either attached or detached from the wrist or the main VAM UI.\n\nIn VR, the Game Control UI can be detached from the wrist by pressing the 'O' pin button. When detached, the UI can be repositioned by holding down the tigger and dragging the 'O' unpin button. The UI can be reattached to the wrist by short pressing the 'O' unpin button. The UI will automatically reattach to the wrist when the VR Hand is moved close to the UI launch button. Alternatively, the UI can (optionally) be attached or detached by double clicking the Select button on the VR controller - see the VR Controllers tab.\n\nHover over a control in the left panel for further details.";
        public const string gazeUIControlDefaultText = "VR Settings determine how the main Game Control UI behaves when VAM is in VR mode.\n\nGaze UI Control tab configures options for UI interaction by gaze. This facilitates one handed operation with a single VR controller.\n\nHover over a control in the left panel for further details.";
        public const string vrControllersDefaultText = "VR Settings determine how the main Game Control UI behaves when VAM is in VR mode.\n\nEach VR Controller can have a behavior configured for a double Select key press (typically a double click on the A button). This can be configured to either attach/detach the Game Control UI from the users VR wrist or it can toggle the UI to be hidden or shown (useful for taking screenshots)\n\nHover over a control in the left panel for further details.";


        public const string attachToVRHand = "In VR, the Game Control UI can be attached to either the left or right wrist or the main VAM UI. This setting can be used to chose either the 'Left Hand' or 'Right Hand'. If the 'VAM UI' option is selected, then the Game Control UI will be attached to the standard VAM UI. Alternativetly the 'Disabled' option will mean that the Game Control UI is permanently detached from the users wrist.";
        public const string opactityOnHand = "The Opacity of the Game Control UI launch button can be controlled with this setting. A value of 0 will mean the UI is not visible and a setting of 1 will make the UI fully visible. This opacity level is only applied when the Game Control UI is attached to a wrist and closed (i.e. the Grids are inactive).";
        public const string hideWristsWithShowVRHands = "When the \"Hide UI with 'Show VR Hands' hide\" setting is active, the Game Control UI will be hidden when the VAM setting 'Toggle Show VR Hands' is hiding the VR Hands.";

        public const string detachedUIMode = "\"Detached UI Mode\" determines the Game Control UI behaviour when detached from a VR Hand will be determined by this setting. The following are available options:\n\n1) Static - the UI will be in a static position in the VR world space (but can be repositioned by dragging on the pin 'O' button). The UI will automatically rotate to face the player\n\n2) HUD (Left) and HUD (Right) -  the UI will be displayed in a fixed postition in the users field of view as if a Head Up Display (HUD) is being projected into the VR users eyes\n\n3) HUD (Custom) - the UI will displayed as per the previous option, but the exact positioning can be customised\n\n4) Disabled - the UI can not be detached from the users VR wrist";
        public const string detachedMinDistance = "When the UI is detached in Static Mode, a minimum distance from the players head is applied to the position of the deteached Game Control UI.";
        public const string hudHorizontalOffset = "When the UI is in HUD (Custom) mode, this slider will determine the HUD horizontal position in the players Field of View (FOV)";
        public const string hudVerticalOffset = "When the UI is in HUD (Custom) mode, this slider will determine the HUD vertical position in the players Field of View (FOV) ";
        public const string hudDepthOffset = "When the UI is in HUD (Custom) mode, this slider will determine how far or close the HUD will appear in the players Field of View (FOV) ";

        public const string autoPinOnGridOpen = "When \"Auto detach UI on Grid Open\" is active, the UI will automatically detach into Static mode whenever the Grids are opened";
        public const string autoUnPinOnGridClose = "When \"Auto attach UI on Grid Close\" is active, the UI will automatically attach to the players VR wrist whenever the Grids are closed";

        public const string gazeMenuSelectMode = "The Game Control UI can be interacted with using the players gaze and a single VR controller (to facilitate one handed operation). When active, gazed at buttons will be highlighted and can be activated by pressing select on the single VR controller. The following options determine when the Gaze UI Control is active:\n\n1) Wrist UI Only - Gaze UI Control is active only when the UI is attached to the VR wrist.\n\n2) Wrist & Pinned UI - Gaze UI Control is active when the UI is attached or detached from the VR wrist\n\n3) Disabled - Gaze UI Control mode is not enabled.";
        public const string gazeActivateOpenVRGrid = "When active, \"Gaze Open Grids\" will automatically activate the Grids whenever the player gazes at the main launch button.";
        public const string gazeActivateCloseVRGrid = "When active, \"Gaze Close Grids\" will automatically deactivate the Grids whenever the player gazes away from the Grid Control UI.";
        public const string gazeSelectButtonColor = "The button highlighting color for Gaze UI Control can be determined with the color picker labelled \"Gaze UI Button Highlight Color\".";

        public const string leftControllerDoubleSelect = "The left VR controller can be configured to perform a specfic action when double clicking the Select button. In many default VR controller profiles the Select button is the 'A' button, but this will depend on your VR headset and your controller bindings. The double press can be configured to do either:\n\n1) Toggle Wrist Detach - will either pin or unpin the Game Control UI from the users VR wrist. This can also be useful for returning the Game Control UI to you if is too far away in VR space.\n\n 2) Toggle Game Control UI Hide = will either hide or show the Game Control UI. This is useful for taking screenshots.";
        public const string rightControllerDoubleSelect = "The right VR controller can be configured to perform a specfic action when double clicking the Select button. In many default VR controller profiles the Select button is the 'A' button, but this will depend on your VR headset and your controller bindings. The double press can be configured to do either:\n\n1) Toggle Wrist Detach - will either pin or unpin the Game Control UI from the users VR wrist. This can also be useful for returning the Game Control UI to you if is too far away in VR space.\n\n 2) Toggle Game Control UI Hide = will either hide or show the Game Control UI. This is useful for taking screenshots.";
        public const string vrUIAttachPosition = "When the Game Control UI is attached to the VAM UI, the launch button can be located on the left or right side of the VAM UI Toolbar.";
    }
    public static class GameControlUIHelp
    {
        public const string defaultHelpText = "UIAssist configured buttons are accessed on the Game Control UI. In VAM Desktop mode, the Game Control UI is accessed from a button in the lower right corner of the screen. In VAM VR mode, the Game Control UI can be accessed from a range of locations determined under VR settings.\n\nThe Game Control UI Settings determine certains aspects of Game Control UI appearance. Hover the mouse or pointer over the controls in the left panel for more details.";
        public const string displayGazeSelections = "When \"Show Gaze Targets on UI\" is active, a blue shaded text box will appear at the top of the Game Control UI containing the Atom names of any Gaze targetted atoms. Only buttons in the current Grid that have Gaze targets will be included in the list of gaze targets displayed.";
        public const string displayGridLabels = "Each Grid of buttons can be given a unique label. When \"Show Grid Labels on UI\" is active, then the main launch button will display the label of the Grid that is currently active in the Game Control UI";
        public const string activateQuickLaunchBar = "In addition to the main Grid of buttons, an additional 'Quick Launch' grid can be dispayed on the Game Control UI. The Quick Launch grid contains a set of buttons that are permanently displayed when the Game Control UI is activated. The principal is that this is simlar to the application dock in iOS and provides a location to access the most important button functions.";
        public const string i24hClockEnable = "When  \"Enable 24h clock format\" is enabled, the main launch button will display the current time in a 24 hour clock format.";

        public const string desktopUIScale = "The size that the Game Control UI is rendered on screen in Desktop mode can be adjusted using the scale slider.";
        public const string desktopHOffset = "The horizontal position of the Game Control UI on the the screen in Desktop mode can be adjusted with this offset slider.";
        public const string desktopVOffset = "The vertical position of the Game Control UI on the the screen in Desktop mode can be adjusted with this offset slider.";
    }

    public static class CTGSettingsUIHelp
    {
        public const string defaultHelpText = "The Custom Target Groups feature allows the user to specify their own criteria to identify a Group of Atoms from the currently loaded scene. Once a Custom Target Group has been defined it can be used in button setup as a Gaze Target (similar to 'Last Viewed Female', 'Last Viewed Person' etc) or as a group of targets (similar to 'All Atoms', 'All Males' etc). The criteria for Custom Target Group can be based on the type of Atom (e.g. Custom Unity Asset or Animation Pattern) and the name of the Atoms (e.g. atoms that start with the name 'Toy').\n\nOnce a Custom Target Group has been defined it will appear as an option in the Target selection for Button Operations where the Target Category has been selected as Gaze Selected Atom, Atom Group or User Chosen Atom.\n\nThe potential usages of this feature are varied, but a typical usage might be to have buttons that target a specific set of Custom Unity Assets for example Sex Toys or Scenery. It can also be used in conjunction with the Spawn Atom operation where the name of a new Atom can be specified that will then categorise that Atom as being part of a Custom Target Group.";
        public const string ctgSelect = "Use the 'Custom Group' selector to chose and then modify the configuration of an existing Custom Target Group";
        public const string ctgName = "The name of the Custom Target Group can be modified be entering text into this field";
        public const string ctgAtomCat = "Select the Atom Category to determine which Atom Types can be selected as a filter for this Custom Target Group";
        public const string ctgAtomType = "Select the Atom Type to determine the types of atoms that will form this Custom Target Group. Only atoms of the selected type will be targetable for a button operation where this Custom Target Group has been selected as a Target.";
        public const string ctgPersonGender = "Select the gender of Person atoms to determine the atoms that will form this Custom Target Group. Only Person atoms of the selected gender will be targetable for a button operation where this Custom Target Group has been selected as a Target.";
        public const string ctgAtomNameFilterType = "The 'Atom Name Filter' type will determine if the Custom Target Group is filtered based on the name of the Atom. If the default option of 'None' is selected, then no additional filter is applied. If the 'Starts with', 'Ends with' or 'Contains' filter options are selected then only Atoms whose names match the criteria specfied will be in scope of the Custom Target Group.\n\nThis functionality can be combined with Atom Spawning buttons where the Atom name can be specified for new Atoms. So for example, button functions that spawn new sex toys could all be given a name that starts with 'Toy' and then other operations to say load a preset could be targeted at a Custom Target Group which has an Atom Name Filter of 'Starts with' and 'Toy'";
        public const string ctgAtomName = "Enter the 'Atom Name' filter criteria. Only atoms with a name that matches the criteria will be included in the Custom Target Group.\n\n For example if 'Starts With' and 'Toy' are specified then Atoms called 'Toy', 'Toy1' and 'Toy (Large)' will be included but an Atom called 'LargeToy' will be excluded.";

        public const string addCTG = "Create a new Custom Target Group";
        public const string deleteCTG = "Delete the currently selected Custom Target Group. User will be prompted for confirmation.";
        public const string confirmDeleteCTG = "Confirm deletion of the Custom Target Group";
        public const string cancelDeleteCTG = "Cancel deletion of the Custom Target Group";
    }

    public static class GazeTargetSettingsUIHelp
    {
        public const string defaultHelpText = "UIAssist allows button operations to be targeted at specific atoms in a scene based on where the user is currently looking. This is referred to as Gaze Targetting.\n\nGaze Targeting Settings allow customisation of certain features releated to Gaze Targeting including the default Gaze Target type (male or females) and whether off atoms are included as possible gaze targets.";

        public const string defaultGazeTarget = "When a button operation is targeted using the 'Gaze Selected Atom' target category, then the target atom can be configured to be either the last gazed at atom, person, male or female. The 'Default Gaze Target' setting will determine the target value chosen automatically whenever Gaze Selected Atom is selected as a new target category.";
        public const string enableOffAtomSelection = "When 'Enable Off Atom Selection' is active, the Gaze Selection targeting will allow 'Off' atoms to be the target of button operations.";
        public const string enableGazeAssistedAtomSelection = "Gaze Assisted Atom Select is an experimental feature that displays a list of Atom names alongside the main Game Control UI. Atoms can be selected using this list when in VAM Edit mode. It allows rapid selection of atoms and activation of their UIs. Atoms in the list are automatically re-ordered by how close they are to the centre of the users field of view. Atoms at the top of the list are always closest to being in front of the user.";
    }

    public static class PresetLoadSettingsUIHelp
    {
        public const string defaultHelpText = "The Preset Loading settings allow specific additional control of button operations that perform Preset loading.(e.g. Load Appearance Preset)\n\nPerson atoms have a Preset Lock feature that is part of the standard VAM functionality and can be used to block parts of a preset load. This preset locking can optionally be overriden when loading a UIAssist preset.\n\nAdditionally for JayJayWon Patreon subscribers, there is an option to suppress a change in person scale when loading an appearance preset. This is useful in scenes where the height of a person atom is important to the scene's function.";
        public const string suppressPresetLocks = "VAM Preset locking is most useful where a Creator has prepared a sequence of scenes that progress through a story line using Scene Merge Load function. Typically, if the user customises the appearance of a person in such a scene then those appearance changes are lost whenever the scene progresses to the next stage with a merge load. This can be overcome using Preset Locks on the Person atom by locking, for example, the Appearance Preset. Once locked, then the appearance can not be altered by the scene logic or by loading another scene.\n\nWhilst useful, this functionality has a perhaps unintended consequence that the user cant now change the person's appearance themselves (without disabling the preset lock again) using a preset load. UIAssist can help overcome this by automatically suppressing any preset locks when it loads a preset. The rationale is that if a user choses to apply a preset by pressing a UIAssist button - then they clearly mean to ignore any preset lock that is in place that might prevent that.";
        public const string suppressScale = "When active, this option suppresses any person scale changes that an appearance preset load from UIAssist would effect.\n\nIt is particularly useful where a scene has animations that would no longer align if the person's height changes.\n\nNote that this setting overrides the indivdual setting that is available on each Appearance Preset Load button. There is also a separate button operation that will toggle this global setting on and off.";
        public const string suppressClothing = "When active, this option suppresses any clothing changes that an appearance preset load from UIAssist would effect.\n\nNote that this setting overrides the indivdual setting that is available on each Appearance Preset Load button. There is also a separate button operation that will toggle this global setting on and off.";
    }

    public static class ButtonDisplaySettingsUIHelp
    {
        public const string defaultHelpText = "The appearance of every UIAssist button can be individually customised (see Button Setup > Display). Where the appearance of individual buttons are not customised, their appearance will be determined by the default appearance defined in these setup screens.\n\nDepending on their function, some UIAssist buttons are dual state and allow toggling between these two states each time the button is pressed (e.g. Toggle between VAM Play Mode and VAM Edit Mode). The two states (referred to as the On state and the Off state) can have different appearances defined. For example, its possible to have a button color be blue when in VAM Play Mode and then turn to red when in VAM Edit Mode. The default appearance for both On and Off states can be defined in these settings. Where a button only has one state, the default appearance will be defined by the default On settings. Some attributes are always the same for both states (e.g. Font Size, Text Alignment).";

        public const string defaultTextTab = "The Default Text tab contains settings to specify the appearance of button text, where such attibutes are not individually customised for a button.";
        public const string defaultOnColorsTab = "The Default On Colors tab contains settings to specify the default button colors (where buttons are not individually customised). These settings apply to non-toggle buttons and toggle buttons in the initial On State.";
        public const string defaultOffColorsTab = "The Default Off Colors tab contains settings to specify the default button colors (where buttons are not individually customised). These settings only apply to toggle buttons in the Off State.";
        public const string defaultThumbnailTab = "The Default Thumbnail tab contains settings to specify a thumbnail image to appear on the background of buttons that are not individually customised. For toggle buttons, separate thumbnails can be specified for On and Off states. For non toggle buttons only the Thumbnail image for the On state is applied.";

        public const string defaultTextFont = "The font used by default for buttons not individually customised.";
        public const string defaultTextAlignment = "The text alignment used by default for buttons not individually customised.";

        public const string microButtonFontSizeMin = "The minimum Font Size for buttons within Grids that use Micro sized buttons. Text will be automatically resized to the largest possible size that fits within the button, constrained by the minumum and maximum font sizes.";
        public const string microButtonFontSizeMax = "The maximum Font Size for buttons within Grids that use Micro sized buttons. Text will be automatically resized to the largest possible size that fits within the button, constrained by the minumum and maximum font sizes.";
        public const string miniButtonFontSizeMin = "The minimum Font Size for buttons within Grids that use Mini sized buttons. Text will be automatically resized to the largest possible size that fits within the button, constrained by the minumum and maximum font sizes.";
        public const string miniButtonFontSizeMax = "The maximum Font Size for buttons within Grids that use Mini sized buttons. Text will be automatically resized to the largest possible size that fits within the button, constrained by the minumum and maximum font sizes.";
        public const string smallButtonFontSizeMin = "The minimum Font Size for buttons within Grids that use Small sized buttons. Text will be automatically resized to the largest possible size that fits within the button, constrained by the minumum and maximum font sizes.";
        public const string smallButtonFontSizeMax = "The maximum Font Size for buttons within Grids that use Small sized buttons. Text will be automatically resized to the largest possible size that fits within the button, constrained by the minumum and maximum font sizes.";
        public const string mediumButtonFontSizeMin = "The minimum Font Size for buttons within Grids that use Medium sized buttons. Text will be automatically resized to the largest possible size that fits within the button, constrained by the minumum and maximum font sizes.";
        public const string mediumButtonFontSizeMax = "The maximum Font Size for buttons within Grids that use Medium sized buttons. Text will be automatically resized to the largest possible size that fits within the button, constrained by the minumum and maximum font sizes.";
        public const string largeButtonFontSizeMin = "The minimum Font Size for buttons within Grids that use Large sized buttons. Text will be automatically resized to the largest possible size that fits within the button, constrained by the minumum and maximum font sizes.";
        public const string largeButtonFontSizeMax = "The maximum Font Size for buttons within Grids that use Large sized buttons. Text will be automatically resized to the largest possible size that fits within the button, constrained by the minumum and maximum font sizes.";

        public const string buttonOnColor = "The background Button color used by default for buttons that are not individually customised. For toggle buttons this setting applies when the button is in the initial On state.";
        public const string textOnColor = "The Text color used by default for buttons that are not individually customised. For toggle buttons this setting applies when the button is in the initial On state.";
        public const string buttonOffColor = "The background Button color used by default for buttons that are not individually customised. This setting only applies to toggle buttons in the Off state.";
        public const string textOffColor = "The Text color color used by default for buttons that are not individually customised. This setting only applies to toggle buttons in the Off state.";

        public const string onThumbnailURL = "File path to the currently selected thumnbnail image used for default button appearance. If blank, then no thumbnail image will be used. For toggle buttons this setting applies when the button is in the initial On state.";
        public const string onSelectThumbnail = "This button will launch a file browser to select an image to be used as the Thumbnail for buttons that are not indivually customised.";
        public const string onClearThumnail = "This button will clear the selected image that is currently being used as the Thumbnail for buttons that are not indivually customised.";

        public const string offThumbnailURL = "File path to the currently selected thumnbnail image used for default toggle buttons in the off state. If blank, then no thumbnail image will be used. This setting only applies to toggle buttons.";
        public const string offSelectThumbnail = "This button will launch a file browser to select an image to be used as the Thumbnail for toggle buttons that are in the off state.";
        public const string offClearThumnail = "This button will clear the selected image that is currently being used as the Thumbnail for toggle buttons that are in the off state.";

    }

    public static class AboutUIHelp
    {
        public const string defaultHelpText = "Welcome to UIAssit by JayJayWon.\n\nUIAssist is a VAM plugin designed to help facilitate an easier method for users to perform common operations with a single button press. This is achieved through a fully customisable Game Control User Interface (UI) where each button can be configured by the user to perform specific operations.\n\nThe Game Control UI is activated from the Main Launch button which will then reveal a Grid of buttons. Multiple button grids can be setup and accessed to help organise groups of button functions.\n\nThe Game Control UI can be accessed in the lower right corner of the screen when in Desktop mode. In VR, the Game Control UI can be attached to the user's wrist or detatched and poistioned anywhere in VR space. A range of control modes help facilitate usage with one or two VR Controllers (or even without any VR controllers using Leap Motion).\n\nThis plugin UI is where the operation of each button is configured and other general plugin settings are controlled. The configuration of UIAssist can be saved and restored as a UIAssist profile.\n\nJayJayWon Patreon subscribers have access to the Patreon version of the plugin which provides more advanced features. These include the ability to configure grids with more buttons and for each button to be configured to perform multiple different operations.";
        public const string primarySecondaryState = "In VR, it is possible to have two plugin instances of UIAssist running simultaneously. This allows one to be attached to each VR Hand. One instance will always be Primary and the other Secondary. If the Primary instance is stopped, then the Secondary instance will promote itself to the Primary role.";
    }

    public static class HeelAdjustToolUIHelp
    {
        public const string defaultHelpText = "The Auto Heel Adjust Tool is designed to automatically provide support for high heeled shoes. By default, VAM only has heel support for a few shoe clothing items (i.e. Harli Heels) where the feet and toes are automatically rotated when the shoes are worn or removed. Heel Adjust allows you to specify a foot and toes rotation for any other shoe clothing item and apply those automatically. It also creates extra colliders so that heels and platform shoes interact with surfaces more accurately.\n\nIn addition, UI Assist can optionally raise and lower the person by the height of the heels to avoid tall heels from intersecting with the floor.\n\nEach individual shoe clothing item needs to be manually setup in this tab with the correct rotations and collider sizes. Once setup, the settings will then be applied automatically whenever shoes of that type are detected in a scene.\n\nNOTE: Individual Heel Adjust shoe settings for colliders, toe and heel rotations are NOT persisted as part of a UIAP profile save. Instead these settings are global across all profiles and are saved instantly in 'Saves\\PluginData\\JayJayWon\\ UIAssist\\HeelAdjust' whenever any adjustments are made.";

        public const string haActive = "When the 'Auto apply Heel Adjusts' setting is active, then the Heel Adjust settings will automatically be applied to any person wearing heels that have a HeelAdjust setting defined for them in the currently loaded scene.";
        public const string haRaisePeople = "When the 'Auto raise people by Heel Height' setting is active, then people will automatically be raised by the heel height of any active HeelAdjust settings.";
        public const string shoeSelector = "Select a shoe clothing item to modify the heel adjust settings for that clothing item. Only shoes that are active in the current scene are available to modify. Only clothing items that have the Type Tag 'Shoe' are considered to be Shoes.";

        public const string heelColidersVisible = "When active, the 'Heel Colliders Visible' setting will display Heel Colliders as green cuboids. This is purely to facilitate the easier setup of the shoe settings and facilitates easier visual assemssment of any changes. This should be disabled once the correct settings have been determined.";

        public const string footRotationX = "The 'Foot Rotation' determines the amount of rotation in the X axis applied to the foot node when Heel Adjustments are applied.";
        public const string toeRotationX = "'Toe Rotation' determines the amount of rotation in the X axis applied to the toe node when Heel Adjustments are applied.";
        public const string heelHeight = "'Heel Collider Height' determines the height of the collider that will act as a heel";
        public const string heelBackOffset = "'Heel Collider Offset' will position the heel collider forwards or backwards.";
        public const string toeHeight = "'Toe Collider Height' determines the height of the colider placed below the toes. This is useful when setting up platform shoes.";
        public const string toeOffset = "'Toe Collider Offset' adjusts the toe collider poistion forwards or backwards.";
        public const string toeLength = "'Toe Collider Length' detemines the length of the collider under the toes.";

    }

    public static class ForceVAMModesToolUIHelp
    {
        public const string defaultHelpText = "The Force VAM Modes tool helps override the default VAM behaviour in certain circumstances. For example switching between VAM Play and Edit mode can be tied to when the VAM UI is opened or closed. Hover the pointer over each of the options on the left to see specific details.";

        public const string forceEditModeOpen = "When active, 'Edit Mode on VAM UI Open' will force VAM into Edit mode whenever the VAM UI is opened.";
        public const string forcePlayModeClose = "When active, 'Play Mode on VAM UI Close' will force VAM into Play mode whenever the VAM UI is closed.";

        public const string forceEditModeLoadScene = "When active, 'Edit Mode on Scene Load' will force VAM into Edit mode whenever a new scene is loaded in VAM.";

        public const string forceVSyncOffInVR = "When active, 'VSync Off at VR startup' will force the VAM Performance setting under User Preferences to disable VSync. This will occur whenever the plugin loads and VAM is running in VR mode. The VSync setting is designed to restrict the maximum frames per second that the game runs at in Desktop mode. Without this setting the game will utilise all available CPU and GPU resources to produce excessive frame rates above the capabilities of the display with no visual benefit.";
        public const string forceVSyncOnInDesktop = "When active, 'VSync On at Desktop startup' will force the VAM Performance setting under User Preferences to enable VSync. This will occur whenever the plugin loads and VAM is running in Desktop mode. The VSync setting is designed to restrict the maximum frames per second that the game runs at in Desktop mode. Without this setting the game will utilise all available CPU and GPU resources to produce excessive frame rates above the capabilities of the display with no visual benefit.";

        public const string forceDisableUIOnTopInVR = "When active, 'Disable UI On Top at VR startup' will deactivate the VAM User Preference setting 'UI on Top' when the plugin starts in VR mode. The will ensure that in VR, VAM game objects appear in front of the VAM UI in VR 3D space.";
        public const string forceUIOnTopInDesktop = "When active, 'Enable UI On Top at Desktop startup' will activate the VAM User Preference setting 'UI on Top' when the plugin starts in Desktop mode. The will ensure that in Desktop, VAM game objects do not appear in front of the VAN UI.";

        public const string forceDisableFreezePhysicsOnGrabNewPerson = "When active,this setting will automatically disable the VAM Person setting 'Freeze Physics while Grabbing' for any new Person Atoms. By default this setting is on for any new People created in a scene - this setting effectively reverses that default behaviour.";
        public const string forceDisableFreezePhysicsOnGrabSceneLoad = "When active,this setting will automatically disable the VAM Person setting 'Freeze Physics while Grabbing' for any Person Atoms in every new Scene that is loaded. By default this setting is on for any new People created in a scene - this setting effectively reverses the default behaviour in many scenes.";
    }

    public static class LeapMotionControlToolUIHelp
    {
        public const string defaultHelpText = "VAM supports UltraLeap Leap Motion devices that detect hand and finger movement without a VR controller. This is primarily used to interact with objects in VAM, but can not be used to interact with the VAM UI. UIAssist supports interaction with it's own Game Control UI in VR without any VR Contollers using Leap Motion. UIAssist buttons can be activate by 'touching' them with your fingers. UIAssist scrollbars can be grabbed with a pinch gesture of your thumb and index finger. When the Game Control UI is detached from the wrist in 'Static' mode, the UI can be repoitioned by pinching the 'O' pin button.\n\nAdditionally movement in VR can be controlled through hand gestures. This mode is activated by forming a divers OK hand gesture. To form this gesture, the thumb and index finger tips are connected to form an O shape. The middle, ring, pinky fingers should be held together in a upright fully extended position.";

        public const string leapMotionControlActive = "The 'Enable Touch UI Control' setting will activate this feature when an Ultra Leap Motion device is detected.";
        public const string leapMotionAutoEnableDisable = "When this option is enabled, the VAM User Preferences to enable Leap Motion support will be toggled on and off for each hand depending on proximity of each hand to a VR controller. Leap Motion does not work effectively when the hands are obscured by a VR controller. This setting effectively allows for a VR Controller to be put down and picked up and VAM will be automatically switched to the correct control method.";
        public const string leapFreeMoveControlActive = "When active, this setting will allow the users position to be panned or rotated in VR using hand gestures. The user must form an exagerated divers OK gesture to activate the movement mode.";
        public const string leapFreeMoveFemaleRotationActive = "When active, this setting will make free move rotation be centred around a Female Atom if it is the current Gaze Target";
        public const string leapFreeMoveMaleRotationActive = "When active, this setting will make free move rotation be centred around a Male Atom if it is the current Gaze Target";
    }

    public static class BulkGridSetupToolUIHelp
    {
        public const string defaultHelpText = "The Bulk Grid Setup Tool helps facilitate the automatic creation of an entire Grid of buttons in one go. The created buttons will all be Person Preset Loads of the same type - either Appearance, Clothing, Pose or Hair presets. Each button in the new grid will load a different preset from a pre-defined folder of presets.\n\nThe user should prepare a folder full of presets before using this feature. Then select the type of operation to be performed and the target for each button. Optional settings for Appearance loading allow you to determine if Clothing and (for JayJayWon Patreons) Person Scale loading is suppressed. There is also an optional Merge Load toggle which will determine if the preset loads are a Merge Load or not.\n\nLastly, pressing the 'Select folder...' button will launch a folder browser dialog. Navigate to the pre-defined folder of presets and press Select in the dialog. A completely new Grid will be created containing a button for each of the presets in the targeted folder.";

        public const string buttonsType = "'New Buttons Operation' will determine what operation is performed by each of the buttons in the new Grid. Options are available to perform an Appearance, Clothing, Pose or Hair Preset Load.";
        public const string buttonsTargetType = "'New Buttons Target' will determine the Target for each new button in the created Grid. Targets can be Gaze (determined by where the user is facing at time of operation) or User Selected (user is given a choice of Atoms at the time of button operation)";
        public const string useMergeLoad = "When active, the 'Use Merge Load' option will mean that each new button will have this setting active resulting in a Merge Preset Load being performed for the button operation.";
        public const string suppressClothingLoad = "When 'Suppress Clothing Load' is active, each new button will have this setting selected, which will prevent any clothing items that are part of an Appearance preset from being loaded when the button is activated.";
        public const string suppressPersonScaleLoad = "When 'Suppress Person Scale Load' is active, each new button will have this setting selected - which will prevent any clothing items that are part of an Appearance preset from being loaded when the button is activated.";
        public const string launchFolderSelection = "This button will open a folder dialog for the user to select a folder containing pre-defined presets. Once a folder is selected a new Grid will be created containing a button for each preset in the folder. Each button will perform the operation defined by the settings in the Bulk Grid Setup Tool.";

    }

    public static class SaveProfileUIHelp
    {
        public const string defaultHelpText = "The configuration of all UIAssist buttons and settings can be persisted to storage as a UIAssist Profile here. The profiles are stored with '.uiap' as a file extension. Once stored to file, the profile can be restored from the 'Load Profile' tab.\n\nAdditionally a default profile can be saved which will automatically load every time UIAssist is started. The default profile is always stored in VAM\\Saves\\PluginData\\JayJayWon\\ UIAssist' folder as 'default.1.uiap'\n\nIt is possible (in VR) to have two instances of UIAssist active simultaneously. The intention is that one can be linked to the left VR hand and the other to the right VR Hand. When there are two instances of UIAssist active, the first to load will be the Primary instance and the other will be the Secondary instance. If the primary instance is removed or stopped then the Secondary instance will become the primary instance. The two instances will use different default uiap files. The primary will use 'default.1.uiap' and the secondary will use 'default.2.uiap.\n\nNote that individual Heel Adjust settings are not included as part of a UIAssist profile save.";

        public const string getSaveUIAPFile = "Opens a file browser dialog to select a folder and filename to save the current UIAssist configuration as a UIA Profile.";
        public const string activateSaveDefaultConfirmMode = "Save the current UIAssist configuration as the default that will be loaded the next time UIAssist is started. User re-confirmation will be required before the default file is overwritten";
        public const string saveDefaultUIAPConfirmation = "Confirm saving of the current configuration as the default. This will permanently overwrite the previous default configuration.";
        public const string cancelSaveDefaultUIAPConfirmation = "Cancel saving the current configuration as the default.";
    }

    public static class LoadProfileUIHelp
    {
        public const string defaultHelpText = "Previously saved UIAssist Profiles can be restored here and will reset the configuration of all UIAssist Grids, Buttons and Settings to the state that was previously saved.\n\nIt is possible to load profiles that were saved in either UIAssist v1.x or v2.x (although 2.x profiles can not be loaded back into UIAssist v1.x).\n\nIt is also possible to import a single Grid of buttons from another UIA Profile into the current configuration using the 'Import Grid' option.";

        public const string getLoadUIAPFile = "Launch a file browser dialog to select a UIAssist Profile. Once select the file will be loaded and replace the current configuration, losing any unsaved modifications.";
        public const string getImportGridUIAP = "Import a single Grid of buttons from another saved UIAssist Profile into the current profile. A file browser dilaog will be display to select the profile after which additional options will be available to select a specific grid from that profile.";

        public const string uiapFileName = "The currently selected UIA Profile which will be used as source for importing a Grid of buttons.";
        public const string uiapGridOptions = "Select a single Grid for import from the previously saved UIA Profile.";
        public const string importQLBGrid = "Activiating this button will overwrite the current Quick Launch Button configuration with the Quick Launch Buttons contained within the selected saved UIA Profile.";
        public const string importGrid = "Activating this button will create a new Grid in the current profile which will contain all the same Buttons and Operations as the selected Grid from the previously saved UIA Profile.";

    }

    public static class TabButtonsUIHelp
    {
        public const string buttonSetupTab = "Button Setup allows the function of UIAssist Buttons to be configured. UIAssist buttons appear in grids on the UIAssist 'Game Control UI'. The Game Control UI is the main UIAssist interface that is used to activate operations configured in this plugin setup UI. The Game Control UI appears in the bottom right corner of the screen for Desktop users. For VR users, the Game Control UI appears attached to the users wrist by default, but can be configured to be appear in different locations (see Settings > VR). UIAssist Buttons are grouped in Grids and (for JayJayWon Patreons) each UIAssist Button can have multiple Operations.";
        public const string loadProfileTab = "Previously saved UIAssist Profiles can be restored in the 'Load Profile' tab and will reset the configuration of all UIAssist Grids, Buttons and Settings to the state that was previously saved.";
        public const string saveProfileTab = "The configuration of all UIAssist buttons and settings can be persisted to storage as a UIAssist Profile under the 'Save Profile' tab.";
        public const string toolsTab = "The Tools tab contains UIAssist tools that are not core to the UIAssist functionality but provided additional features.";
        public const string settingsTab = "The Settings tab allows the configration of generic UIAssist features that releate to more than one specific Grid, Button or Operation.";

        public const string gridSelector = "UIAssist Buttons are grouped into arrays of buttons called 'Grids'. The Grid Selector determines which Grid of buttons is being configured in the Button Setup interface below.";
        public const string buttonSelector = "UIAssist Grids contain an array of Buttons. Each button has a unique reference which indicates its location in the array - for example 'R3C2' refers to the button in Row 3 and Column 2 of the Grid. The Button Selector determines which UIAssist button is being configured in the Button Setup interface below. ";
        public const string operationSelector = "Each UIAssist Button can contain one or more Operations. Where a UIAssist Button contains more than one Operation, the 'Operation Selector' determines which Operation is being configured in the Button Setup interface below.";

    }

    public static class SpecificOpCategoryUIHelp
    {
        public const string atomControlOphelp = "'Atom Control' operations include a range of functions that directly impact VAM Atoms. These include deleting, moving, selecting and spawning new atoms.";
        public const string nodeControlOphelp = "'Node Control' operations are functions that alter the control node settings of an atom e.g. (phyics and control states). For person atoms, the settings can apply to specific nodes e.g. head or foot nodes.";
        public const string appearanceOphelp = "'Appearance' operations include a range of functions that alter the appearance or look of a Person atom. This includes reseting the scale or appearance of a Person Atom and changing their hair color.\n\nFor JayJayWon Patreon users there is an exclusive function to 'Suppress Scale Load'. This will prevent atom scale changes when loading an Appearance Preset to a Person. This helps prevent misalignment in scenes where animation alignment is impacted by the relative size of person atoms.";
        public const string clothingOphelp = "'Clothing' operations include a range of functions that relate to the Clothing of Person atoms. This includes removing, undressing and sim resetting of clothing items.\n\nFor JayJayWon Patreon users there is an exclusive function to 'Merge Clothing Presets'. This is a toggle function that allows a specific set of clothing (determined by a clothing preset) to be worn and removed. This rapid toggling of a subset of clothing being worn (without removing other clothing items) can not be easily achieved with standard VAM functionality.";
        public const string presetsOphelp = "'Presets' operations are a range of functions that allow different VAM Preset types (e.g. Appearance Preset, Hair Preset or General Preset) to be applied to an Atom.\n\nMost of these operations behave identically to the standard VAM preset loading functionality. However, the General Preset has additional features that are available when targeting a specific named Atom. An additional option becomes available to Spawn a new Atom if the target does not exist.";
        public const string legacyPresetsOphelp = "'Legacy Presets' are a range of functions that allow the Legacy Preset types (Look, Pose and Preset) to be loaded to (or saved from) an Atom.";
        public const string pluginSettingsOphelp = "'Plugin Settings' operations allow interaction with other Plugins that are loaded onto an Atom. Every plugin can make parameters available to modficiation via the VAM Trigger Action system, if the plugin author implements that functionality. Any plugin parameters made available via the VAM Trigger Action system can also be adjusted by UIAssist.";
        public const string pluginsLoadingOphelp = "'Plugin Loading' operations include a range of functions that assist with the loading of plugins to an Atom. There is some overlap with the functionality that can be achieved with Plugin Preset loading.";
        public const string uiAssistOphelp = "'UI Assist' operations cover functions that control UIAssist behavior. For example, triggering UIAssist profile loads and switching to different UIAssist Grids in the Game Control UI.";
        public const string sceneAnimOphelp = "'Scene Animation' operations include a range of functions that control VAM Scene Animation (sometimes referred to as MoCap or Motion Capture) features.";
        public const string vamUserSettingsOphelp = "'VAM User Settings' operations include a range of functions that control certain VAM User Preference settings. e.g. toggling Soft Body Physics on and off.";
        public const string sceneLoadingOphelp = "'Scene Loading' operations cover VAM functions that relate to loading of VAM Scenes or Sub-scenes.";
        public const string vrSettingsOphelp = "'VR Settings' operations cover VAM functions that control certain VAM VR Settings. e.g. toggling of the users Head Collider in VR.";
        public const string miscOphelp = "'Miscellaneous' operations include a range of other functions that dont fall into other categories.";
    }

    public static class SpecificOpTypeUIHelp
    {
        public const string spawnAtom = "'Spawn Atom' button operations will create a new Atom in the current VAM Scene. Additional tabs will allow the atom type and intial position to be specified. Tabs to configure presets and plugins for the new atom will also be available.";
        public const string toggleAtomOn = "'Toggle Atom On/Off' button operations will toggle the On/Off state of the targeted atom.";
        public const string hideAtom = "'Hide Atom' button operations will toggle the Hidden state of the targeted atom. ";
        public const string deleteAtom = "'Delete Atom' button operations will immediately delete the Atom(s) targeted.\n\nWARNING: This is an instantaneous operation and no user confirmation is requested. Use with caution. ";
        public const string selectAtom = "'Select Atom' button operations will change the VAM selected atom to the targeted atom. The effect may not be noticeable until VAM is in Edit Mode.";
        public const string moveAtom = "'Move Atom' button operations allow the target atom be moved with a VR controller. Once activated, the main control node of the targeted atom will be moved by the VR controller that pressed the UIAssist button. Initially movement is paused but can be activated by clicking and holding the Grab button (normally mapped to the primary trigger) on the VR controller.\n\nWhilst atom movement is activated, movement of the VR controller in any of the 3 axis will move the target atom in that direction. The further the hand is moved from the start position the faster the movement will be. Returning the hand to the starting position will stop movement. Alternatively, the atom can be rotated by twisting the VR controller. The further the controller is rotated the faster the rotation will be.Returning the controller to its starting angle will stop rotation. Axis position movement and rotations cannot be active simultaneously. In addition, each axis of rotation and position can be locked using the settings available under the Lock Movement tab.\n\nReleasing the grab button will pause movement and rotation and allow the VR hand to be repositioned without altering the target atoms position or rotation. A single short click of the grab button will stop the Move Atom button operation. Holding the grab button will re-activate the movement.\n\nIf the VR Move operation is activated using a Leap Motion finger action, then the Atom movement will be relative to the Leap hand.The Grab button actions described above for the VR Controller will be replaced by an OK hand gesture as described in the Leap Motion Control Tool settings of this plugin.";
        public const string teleportAtom = "'Teleport Atom' button operations will allows a targeted atom to be instantly moved (or teleported) to a custom position. The new position of the atom can be a fixed location or relative to other atom / nodes or relative to the users view(VR Head) or VR hands as configured in the Position tab.";
        public const string toggleAtomCollision = "'Toggle Atom Collision' button operations will toggle the VAM 'Collision' setting for the target Atom - effectively switching between collisions being active or not.";
        public const string detachAtomRoot = "'Detach Atom Root' will toggle the VAM Atom setting that determines whether the root control node is connected to the  other control nodes in the Atom.";
        public const string togglePresetLocks = "'Toggle Preset Locks' operations will control the standard VAM Preset Lock functionality available on Person Atoms. Presest locks block particular aspects of a Person atom being changed with a Preset load (e.g. a Hair Preset Lock will prevent hair changing when loading an Appearance preset). Locks can also be used to block specific person atom changes between scene loads. The Preset Lock tab will determine the exact behaviour of this toggle operation.\n\nIt's recommended that this operation is used in conjunction with the UIAssist Setting 'Suppress Preset Locks on all UIA Preset Loads' - which will ensure that UIAssist preset loads are not impacted by any Preset locks.";
        public const string changeAtomName = "'Change Atom Name' operations will modify the name of the target Atom to a new name.";

        public const string nodePositionState = "'Set Position Control States' allows the position control state (e.g. on, off, comply, hold, lock etc) to be modified on the individual control nodes of the target atom. For target person atoms, the UIAssist button operation can be configured to change the state of all or a sub-set of the individual control nodes (e.g hip, neck, arms etc.)\n\nThe operation can be used in conjunction with the 'Set Rotation Control States' to control both the position and rotation states. Patreon supporters will be able to combine these operations in a single UIAssist button.";
        public const string nodeRotationState = "'Set Rotation Control States' allows the rotation control state (e.g. on, off, comply, hold, lock etc) to be modified on the individual control nodes of the target atom. For target person atoms, the UIAssist button operation can be configured to change the state of all or a sub-set of the individual control nodes (e.g hip, neck, arms etc.)\n\nThe operation can be used in conjunction with the 'Set Position Control States' to control both the position and rotation states. Patreon supporters will be able to combine these operations in a single UIAssist button.";
        public const string toggleNodePositionState = "'Toggle Position Control States' allows the position control states (e.g. on, off, comply, hold, lock etc) of individual control nodes to be toggled between two different states. For target person atoms, the UIAssist button operation can be configured to change the state of all or a sub-set of the individual control nodes (e.g hip, neck, arms etc.).\n\nThe toggle capability switches between two different sets of states. For example you could toggle between specfic key nodes (e.g. head, arms, knees) being set to the On state and then toggle to all nodes being set to the Comply state.";
        public const string toggleNodeRotationState = "'Toggle Rotation Control States' allows the rotation control states (e.g. on, off, comply, hold, lock etc) of individual control nodes to be toggled between two different states. For target person atoms, the UIAssist button operation can be configured to change the state of all or a sub-set of the individual control nodes (e.g hip, neck, arms etc.).\n\nThe toggle capability switches between two different sets of states. For example you could toggle between specfic key nodes (e.g. head, arms, knees) being set to the On state and then toggle to all nodes being set to the Comply state.";
        public const string nodePhysics = "'Set Node Physics' button operations will alter the physics settings (e.g. hold spring, damper, max force etc) of a target atom. For person atoms, the physics settings can be set for individual, multiple or all nodes (e.g. head, abdomnen, neck etc). ";
        public const string toggleNodePhysics = "Toggle Node Physics' button operations will toggle between two configurations (ON and OFF) of physics settings (e.g. hold spring, damper, max force etc) on a target atom. For person atoms, the physics settings can be set for individual, multiple or all nodes (e.g. head, abdomnen, neck etc).";


        public const string resetScale = "'Reset Scale' operations will  reset the scale of the Target Persons to their size at the last scene load. If the Atom did not exist at scene load (or has had a name change) then the scale will be set to 1.0. This feature is useful when a scene animation becomes mis-aligned due to a scale change when loading a new look or appearance to a person";
        public const string resetAppearance = "'Reset Appearance' operations will will reset the appearance/look (including scale) of the Target Persons to the state at the last scene load.If the Atom did not exist at scene load(or has had a name change) then the appearance will be returned to the VAM default female.";
        public const string decalMakerToggle = "'Decal Maker Toggle' operations provide an integration with the DecalMaker plugin by Chokaphi. This allows decals to be merge loaded so that multiple decal textures can be applied to the same body part simultaneously. For example, this can be used to apply and merge a tattoo and makeup from two different textures.\n\nThe textures to merge can be specified under the Decal Maker tab.";
        public const string setHairColor = "'Set Hair Color' operations will apply the selected hair color settings to all hair on the target person.This is useful for rapidly switching hair coloring, for example from blonde to black to brunette etc. Where multiple hair items are active on a target person, then all hair items will be changed to the same color. Scalp and hair color can be set at the same time.";
        public const string suppressScaleLoad = "'Suppress Scale Load' operations will toggle between global 'Scale Suppression' (see Settings > Preset Loading) being active or not. When activated, any appearance preset loads (via UI Assist) will not change the scale of a person. This avoids animations becoming misaligned in some scenes. This is an alternative mode to the suppression of scale load that can be activated for individual buttons that load appearance presets.";
        public const string suppressClothingLoad = "'Suppress Clothing Load' operations will toggle between global 'Clothing Load Suppression' (see Settings > Preset Loading) being active or not. When activated, any appearance preset loads (via UI Assist) will not change the clothing of a person. This is an alternative mode to the suppression of clothing load that can be activated for individual buttons that load appearance presets.";

        public const string removeAllClothing = "'Remove All Clothing' operations will remove all clothing items that are active (i.e. worn) on the target Person atom.";
        public const string undressAllClothing = "'Undress All Clothing' operations will toggle the Sim Undress setting for all clothing items currently active on the target Person atom(s)";
        public const string resetSimAllClothing = "'Reset Sim All Clothing' operations will perform a Reset Simulation action for all clothing items on the target Person atom(s).";
        public const string removeClothingPreset = "'Remove Clothing Preset' operations will remove only the clothing items in the selected Clothing Preset from the target atom(s). The clothing preset can be configured in the Presets tab.";
        public const string mergeClothingPreset = "'Merge Clothing Preset' operations will load the specified Clothing Preset but without removing any existing clothing on the specified target Atom(s). The feature is a toggle operation which means the merge operation can be reversed to remove the specified Clothing Preset whilst retaining any other clothing items.\n\nThis powerfull feature allows you to mix and match different presets. For example, you might have multiple jewellery presets that each consist of multiple jewellery items that can be switched between whilst retaning any other clothing items.\n\nAn additional feature allows for specific categories of clothing items to be removed when clothing preset is merged. The Remove tab allows clothing items to be specified for removal by their Tag settings.";
        public const string undressClothingPreset = "'Undress Clothing Preset' operations will toggle the Sim Undress setting but only for active clothing items in the selected Clothing Preset on the target Atom(s). This allows the ability to toggle the sim undress state of a subset of the currently active clothing with a single button press.";
        public const string resetSimClothingPreset = "'Reset Sim Clothing Preset' operations will will perform the Reset Sim action but only for active clothing items in the selected Clothing Preset on the target Atom(s)";
        public const string activeClothingEditor = "When the 'Active Clothing Editor' operation is enabled the Game Control UI display will become a list of clothing items being worn by the currently targeted person. The Clothing status of items being worn can be quickly modified without using the more complex VAM Clothing UI.\n\nIndividual clothing items can be toggled on or off by pressing the remove button against the clothing item. Where a clothing item is 'Sim Enabled', the Sim Undress can be toggled on and off by pressing the Undress button. Multiple items can be selected using the check boxes on the left. The clothing state of these groups of selected items can be changed using the Remove and Undress buttons at the bottom of the list. The top left text box shows the name of the Person atom that is currently being modified. When a clothing item is removed from a Person (either in the Active Clothing Editor or in the normal VAM clothing UI) it is not removed from Active Clothing list (allowing it to be selected to wear again). To refresh the Active Clothing List to remove items that are not currently being worn, the 'Clear Removed Clothing' button should be activated. In addition, loading a Preset (with a UIAssist button) that changes Clothing will remove all not currently worn clothing items from the Active Clothing Editor.";

        public const string loadPresets = " operations will load the selected Preset (as configured in the Presets tab) onto the targeted Person atom. An additional option allows the operation to be toggled to a Save Preset instead.";
        public const string savePresetToggle = "'Switch Operation to Save Preset' changes the button operation from a Load Preset to a Save Preset function.";
        public const string loadGeneralPreset = "'Load General Preset' operations will load the selected General preset (as configured in the Presets tab) onto the targeted Person atom.\n\nAdditionally, when targeting a specific named Atom, an additional option becomes available to Spawn a new Atom, should the target atom not exist. This opens a  range of scenarios, for example multiple buttons can target a Custom Unity Atom with a General Preset to load different scene environments. If the CUA is given the same unique name (e.g. SceneCUA) then the first time one of the buttons is pressed a new CUA atom will be created. When subsequent buttons are pressed to load different general presets they will change the scenery without creating a new CUA atom.\n\nIt's important when setting up this button function that an atom (of the correct type and with the required atom name) exists in the scene. The type of atom spawned will be determined by the type of atom selected when setting up the button function.";

        public const string loadLegacyPresets = " operations will load the selected Legacy Preset (as configured in the Presets tab) onto the targeted atom.";
        public const string saveLegacyPresets = " operations will save the Legacy Preset (to the file configured in the Presets tab) from the targeted atom.";

        public const string pluginAction = "'Plugin Action' operations will perform a plugin Action that is available from the selected Plugin Type on the targeted atom(s) - where that atom has the plugin loaded.\n\nThe plugin details can be specified on the Plugin Control tab.";
        public const string pluginActionToggle = "'Plugin Action Toggle' operations will perform a plugin Action that is available from the selected Plugin Type on the targeted atom(s) - where that atom has the plugin loaded. A different action can be configured when the button is toggled on and off.\n\nThe plugin details can be specified on the Plugin Control tab.";
        public const string pluginBoolToggle = "'Plugin Bool Toggle' operations will toggle a plugin Boolean value that is available from the selected Plugin Type on the targeted atom(s) - where that atom has the plugin loaded.\n\nThe plugin details can be specified on the Plugin Control tab.";
        public const string pluginBoolTrue = "'Set Plugin Bool True' operations will set to True a plugin Boolean value that is available from the selected Plugin Type on the targeted atom(s) - where that atom has the plugin loaded.\n\nThe plugin details can be specified on the Plugin Control tab.";
        public const string pluginBoolFalse = "'Set Plugin Bool False' operations will set to False a plugin Boolean value that is available from the selected Plugin Type on the targeted atom(s) - where that atom has the plugin loaded.\n\nThe plugin details can be specified on the Plugin Control tab.";
        public const string pluginMultiSettings = "'Set Plugin Settings' operations can simultaneously set multiple different plugin parameters (e.g. bool, floats, strings, colors) that are available from the selected Plugin Type on the targeted atom(s) - where that atom has the plugin loaded.\n\nThe plugin details and the attribute values can be specified on the Plugin Control tab.";
        public const string pluginMultiSettingsToggle = "'Toggle Plugin Settings' operations can simultaneously set multiple different plugin parameters (e.g. bool, floats, strings, colors) that are available from the selected Plugin Type on the targeted atom(s) - where that atom has the plugin loaded. Different plugin parameter values can be set when the button is toggled on and off.\n\nThe plugin details and the attribute values can be specified on the Plugin Control tab.";
        public const string pluginOpenUI = "'Plugin Open UI' operations will open the VAM plugins settings UI for a plugin of the type selected in the Plugin Control tab, that is loaded on the target atom(s). If there are multiple plugins of the specified type, then the UI for the first plugin instance detected will be opened.";
        public const string pluginToggleOpenUI = "'Plugin Toggle Open UI' operations will open the VAM plugins settings UI for a plugin of the type selected in the Plugin Control tab, that is loaded on the target atom(s). If there are multiple plugins of the specified type, then the UI for the first plugin instance detected will be opened. If the plugin UI for that plugin is already open, then it will be closed instead of opened.";

        public const string loadPlugins = "'Load Plugins' operations will load multiple plugins onto the targeted atom. The plugin details and other settings can be configured on the Plugins Load tab.\n\nThere is some functional overlap with the 'Load Plugin Preset' operation, however this 'Load Plugins' operation has additional granular capabilites that are not achievable with Plugin Presets and can also be applied to atoms other than Person atoms.";
        public const string unLoadPlugins = "'Unload All Plugins' operations will remove all loaded plugins from the targeted atom(s).";
        public const string pluginAssistFind = "'Open PluginAssist Find' operations will open the PluginAssist UI with the Find mode selected. A pre-requisite is that PluginAssist is already loaded as a Session plugin.";
        public const string pluginAssistLoad = "'Open PluginAssist Load' operations will open the PluginAssist UI with the Load mode selected. A pre-requisite is that PluginAssist is already loaded as a Session plugin.";

        public const string loadUIAProfile = "'Load UIAssist Profile' operations will trigger the load of a new UIAssist Profile. The profile name can be specified in the UIA Profile tab. This feature allows the rapid switching of button profiles for different purposes as required.";
        public const string gazeAssistedSelect = "'Gaze Assisted Select' operations will toggle the availability of the Gaze Assisted Select feature.\n\nGaze Assisted Atom Select is an experimental feature that displays a list of Atom names alongside the main Game Control UI. Atoms can be selected using this list when in VAM Edit mode. It allows rapid selection of atoms and activation of their UIs. Atoms in the list are automatically re-ordered by how close they are to the centre of the users field of view. Atoms at the top of the list are always closest to being in front of the user.";
        public const string hideInactiveTargets = "'Hide Inactive Targets' operations will  will allow the red body part nodes (which have their Position and Rotation states set to Off) to be hidden and not selectable with the mouse or VR controller. This is useful to avoid accidentally selecting the Off nodes when trying to select an On node.";
        public const string raiseByHAHeight = "'Raise people by HeelAdjust height' operations will toggle the Heel Adjust setting 'Auto raise people by Heel Height'. When active, person atoms will automatically be raised by the heel height of any active shoes with HeelAdjust settings.";
        public const string suppressPresetLocks = "'Suppress Preset Locks on UIA Preset Loads' operations will toggle the UIAssist setting. When active this setting will override any VAM preset locks that are active on a Person atom, ensuring that any UIAssist preset loads are performed in full.\n\nThe rationale or presumption for this setting is the Preset Locks are primarily intended to prevent changes when loading new sub-scenes and not when users are loading presets from UIAssist.";
        public const string switchUIAGrid = "'Switch UIA Grid' operations will quickly navigate the open Grid in the Game Control UI to the selected Grid.";
        public const string hideUGameControlUI = "'Hide Game Control UI' operations will completely hide the main Game Control UI. This may be useful when taking screenshots. Once hidden the UI can be unhidden using the option in the Plugin UI under Settings>GameControl UI. Alternatively an AcidBubbles keybinding can be used or in VR the controller options can be mapped to this funciton.";


        public const string startPlayback = "'Start Playback' operations will activate the VAM Scene Animation (or Mocap) playback.";
        public const string stopPlayback = "'Stop Playback' operations will halt the VAM Scene Animation (or Mocap) playback.";
        public const string resetAnimation = "'Reset Animation' operations will reset the VAM Scene Animation (or Mocap) playback.";
        public const string toggleLoopPlayback = "'Toggle Loop Playback' operations will toggle the VAM Scene Animation (or Mocap) loop playback setting.";
        public const string beginRecordMode = "'Begin Record Mode' operations will start the VAM Scene Animation (or Mocap) record mode.";
        public const string stopRecording = "'Stop Recording' operations will halt the VAM Scene Animation (or Mocap) record mode.";
        public const string loadMotionCapture = "'Load Motion Capture from Scene' operations will apply the motion capture from another Scene file directly to a person Atom in the current scene. The Scene tab will allow a Scene file (and source atom from that Scene file) to be specified.";
        public const string loadELMotionCapture = "'Load EverLaster Mocap' operations will apply the motion capture from a file generated using MocapSwitcher plugin by EverLaster (available from VAMHub. This plugin tool will export (and import) Mocap data from scene atoms to a standalone file. UIAssist can import these mocap files and apply the mocap data to a target atom.";

        public const string softBodyPhysicsToggle = "'Toggle Soft Body Physics' operations will toggle the VAM Performance User setting 'Soft Body Physics'. This controls whether VAM's more CPU intensive but higher fidelity physics collider model is active on person atoms.";
        public const string desktopVSyncToggle = "'Toggle Desktop VSync' operations toggle the VAM Performance User setting 'Desktop Vsync'. This controls whether the maximum FPS is limited by the refresh rate of the Desktop screen.";
        public const string perfMon = "'Toggle Performance Monitor' operations will toggle the VAM Performance User setting 'Performance Monitor'. This controls whether the Performance Monitor (showing current screen fps and other stats) is displayed as a fixed HUD display.";
        public const string showHiddenAtoms = "'Show Hidden Atoms' operations will toggle the VAM setting (available on the Atom Select scree) which determines whether Hidden Atoms are listed or not.";

        public const string loadScene = "'Load Scene' operations will load a new VAM Scene. The Scene to load can be specified in the Scene tab.";
        public const string mergeLoadScene = "'Merge Load Scene' operations will merge load a VAM scene into the currently loaded Scene.";
        public const string loadSubScene = "'Load SubScene' operations will load a SubScene file into a targeted SubScene Atom. The operation can only be applied to SubScene atoms. It's recommended that the Custom Target Group settings (Settings > Target Groups) is used to create a 'SubScenes' group for atoms of this type. This can be used to ensure the opearation is only targeted at SubScene atoms.";

        public const string showVRHands = "'Toggle Show VR Hands' operations will toggle the VAM User Preference setting (under the VR2 tab). The button can be configured to toggle either the Left, Right or Both VR hands.";
        public const string vrHeadCollider = "'Toggle VR Head Collider' operations will toggle the VAM User Preference setting (under the VR1 tab).";
        public const string leapMotionEnable = "Enable or disable Leap Motion control for either the Left or Right VR hands. This operation will control the VAM User Preference setting (under the VR2 tab).";
        public const string leapMotionToggle = "Toggle the Leap Motion control for either the Left or Right VR hands. This operation will control the VAM User Preference setting (under the VR2 tab).";

        public const string freezeMotionSound = "'Freeze Motion/Sound' operations will toggle the VAM setting that halts motion and sounds.";
        public const string togglePlayEdit = "'Toggle Play/Edit Mode' operations will toggle VAM from between Play and Edit modes.";
        public const string setWorldScale = "'Set World Scale' operations will adjuat the VAM World Scale setting to a fixed scale.";
        public const string offsetWorldScale = "'Offser World Scale' operations will adjust the VAM World Scale setting by a specfied offset amount. Its possible to configure one button to increment scale and another button to decrement scale.";
        public const string teleportPlayer = "'Teleport Player' operations will instantly move the users current location in the 3D Game space to a new position. The new position can be specified under the Position tab and can be absolute or relative to other atoms.";
        public const string blank = "'Blank' operations will do nothing. When moving buttons between Grids, a Grid must contain at least one button with a single blank operation to receive any additional buttons. This is because the number of buttons in a grid is fixed by its dimensions.";

        public const string shaderQaulity = "Shader Quality operations will alter the 'Shader Quality' performance setting under VAM User Preferences.";
        public const string msaaLevel = "MSAA Level operations will alter the 'MSAA Level' performance setting under VAM User Preferences.";
        public const string pixelLightCount = "Pixel Light Count operations will alter the 'Pixel Light Count' performance setting under VAM User Preferences.";
        public const string smoothPasses = "Smooth Passes operations will alter the 'Smooth Passes' performance setting under VAM User Preferences.";
        public const string glowEffects = "Glow Effects operations will alter the 'Glow Effects' performance setting under VAM User Preferences.";
        public const string realtimeReflectionProbesToggle = "Realtime Reflection Probes Toggle operations will toggle the 'Realtime Reflection Probes' performance setting under VAM User Preferences.";
        public const string mirrorReflectionsToggle = "Mirror Reflections Toggle operations will toggle the 'Mirror Reflections' performance setting under VAM User Preferences.";
        public const string physicsRate = "Physics Rate operations will alter the 'Physics Rate' performance setting under VAM User Preferences.";
        public const string physicsUpdateCap = "Physics Update Cap operations will alter the 'Physics Update Cap' performance setting under VAM User Preferences.";
        public const string hqPhysicsToggle = "High Quality Physics operations will toggle the 'High Quality Physics' performance setting under VAM User Preferences.";

        public const string softBodyPhysics = "Soft Body Physics operations will set the 'Soft Body Physics' performance setting under VAM User Preferences to either be enabled or disabled.";
        public const string desktopVSync = "Desktop VSync operations will set the 'Desktop VSync' performance setting under VAM User Preferences to either be enabled or disabled.";
        public const string hqPhysics = "High Quality Physics operations will set the 'High Quality Physics' performance setting under VAM User Preferences to either be enabled or disabled.";
        public const string realtimeReflectionProbes = "Realtime Reflection Probes operations will set the 'Realtime Reflection Probes' performance setting under VAM User Preferences to either be enabled or disabled.";
        public const string mirrorReflections = "Mirror Reflection operations will set the 'Mirror Reflections' performance setting under VAM User Preferences to either be enabled or disabled.";


    }


    public static class ButtonComponentUIHelp
    {
        public const string defaultHelpText = "The Operation tab allows the button's function and target to be configured. The button function can be determined by selecting an Operation Category and Type. Where appropriate, the target of the operation can be determined by selecting a Target Category and then a specific Target. When the button is activated (from the Game Control UI) the configured Operation will be performed on the Atom(s) determined by the Target setting. Where multiple Operations are configured, each will be executed in sequential order but in the same Unity frame update - effectively simultaneously.\n\nDepending on the button Operation chosen, additional Button Setup tabs will become available to select and further configure the button's function.";

        public const string opCategoryGenericText = "Operation Category selection will filter the Operation Types that are available for this button Operation.\n\n";
        public const string opTypeGenericText = "Operation Type selection will determine the function of the operation that is performed when the button is activated from the Game Control UI.\n\n";

        public const string changeAtomNameNewName = "Enter text to specify the new name for the target atom. If the Atom name already exists in the current scene when the operation is executed, a sequential number will be appended to the atom's new name.";

        public const string targetCategory = "Button Operations can be targeted at specifc atoms in the current scene. The Target Category will filter the available options used to determine the target for this operation. The available options will vary depending on the operation, but include:\n\n1) Gaze Selected Atoms - target determined by the direction the user is looking\n2) VAM Selected Atom - target determined by the currently selected VAM atom.\n3) Atom Group - target will be a group of atoms of one type.\n4) Specific Atom - a named atom\n5) User Chosen Atom - the user will be prompted to select an Atom when the button is activated\n6) Scene Plugins - will target Scene Plugins\n7) Session Plugins - will target Session Plugins.";
        public const string targetNameGaze = "Where the target Category is selected as 'Gaze Selected Atom' the button operation will be performed on the last Atom in the current scene which was looked at by the user in VR (or was in the centre of the desktop screen). The type of atom can be further restricted to a person, male or female atom.\n\nWhere users have configured Custom Target Groups these may be listed as target filters also. Custom Targe Groups can be setup under Settings and allow a group of Atoms to be categorised by their Type and/or name. For example, its possible to create Custom Target Group that only contains atoms that are Custom Unity Assets with a name that starts, end or contains specified text (e.g. 'Toys').";
        public const string targetNameVAMSelect = "Where the target Category is selected as 'VAM Selected Atom' the button operation will be performed on the Atom in the current scene which was last selected by the user in the standard VAM UI. The type of atom can be further restricted to a person, male or female atom.\n\nWhere users have configured Custom Target Groups these may be listed as target filters also. Custom Targe Groups can be setup under Settings and allow a group of Atoms to be categorised by their Type and/or name. For example, its possible to create Custom Target Group that only contains atoms that are Custom Unity Assets with a name that starts, end or contains specified text (e.g. 'Toys').";
        public const string targetNameAtomGroup = "Where the target Category is selected as 'Atom Group' the button operation will be performed on all of the Atoms in the current scene. The type of atoms can be further restricted to a person, male or female atom.\n\nWhere users have configured Custom Target Groups these may be listed as target filters also. Custom Targe Groups can be setup under Settings and allow a group of Atoms to be categorised by their Type and/or name. For example, its possible to create Custom Target Group that only contains atoms that are Custom Unity Assets with a name that starts, end or contains specified text (e.g. 'Toys').";
        public const string targetNameSpecificAtom = "Where the target Category is selected as 'Specific Atom' the button operation will be performed on an Atom in the current scene with a specific name. Atom names in the current scene will be listed as an option to select.";
        public const string targetNameUserChosen = "Where the target Category is selected as 'User Chosen Atom' the button operation will be asked to chose (when the button is activated) from a list of Atoms that match the specified type (e.g. Male or Female atoms). If only one atom of the specified type is available in the scene, then the operation will be performed on that atom without any user choice required.\n\nWhere users have configured Custom Target Groups these may be listed as target filters also. Custom Targe Groups can be setup under Settings and allow a group of Atoms to be categorised by their Type and/or name. For example, its possible to create Custom Target Group that only contains atoms that are Custom Unity Assets with a name that starts, end or contains specified text (e.g. 'Toys').";
        public const string keepOpenAtomSelector = "When a button is activated with this option enabled, the Target Atom Selector that is displayed will remain open after each atom is selected. This means the same button operation can be performed on multiple different user selected atoms in quick succession.";
        public const string keepOpenOptionAtomSelector = "When a button is activated with this option enabled, the Target Atom Selector will have a Keep Open option that can be activated or de-activated manually. When Keep Open is active then the Target Atom Selector will remain open after each atom is selected. This means the same button operation can be performed on multiple different user selected atoms in quick succession.";

        public const string spawnAtomIfMissing = "When targeting a specific named Atom with a General Preset load, an additional option becomes available to Spawn a new Atom (should the target atom not exist). This opens a  range of scenarios, for example multiple buttons can target a Custom Unity Atom with a General Preset to load different scene environments. If the CUA is given the same unique name (e.g. SceneCUA) then the first time one of the buttons is pressed a new CUA atom will be created. When subsequent buttons are pressed to load different general presets they will change the scenery without creating a new CUA atom.\n\nIt's important when setting up this button function that an atom (of the correct type and with the required atom name) exists in the scene. The type of atom spawned will be determined by the type of atom selected when setting up the button function.";
        public const string closeGameUIPlay = "Activating the 'Close Game UI for Play Mode' will automatically close the main VAM UI when Play mode is entered using this toggle button operation.";
        public const string openGameUIEdit = "Activating the 'Open Game UI for Edit Mode' will automatically open the main VAM UI when Edit mode is entered using this toggle button operation.";
        public const string offsetWorldScale = "The 'Increment/ Decrement World Scale' slider will determine the amount that the VAM World Scale is adjust by each time the button operation is activated.";
        public const string setWorldScale = "The 'Set World Scale' slider will determine the value that VAM World Scale will be set to when the button operation is activated.";
        public const string showLeftVRHand = "Selecting 'Toggle Show Left VR Hand' will make the Left VR Hand be enabled or disabled each time the operation is activated.";
        public const string showRightVRHand = "Selecting 'Toggle Show Right VR Hand' will make the Right VR Hand be enabled or disabled each time the operation is activated.";
        public const string leapHandsControl = "Select the operation scope of which VR hand settings are modified by this function";
        public const string enableLeapHands = "When this toggle is active the button operation will set the selected Leap Hands to enbled. When the toggle is inactive, the operiation will set the Leap Hand to disabled.";

        public const string uiaGrid = "The selected target Grid will be switched to in the UIAssist Game Control UI when this button operation is activated.";
        public const string addOperation = "Pressing 'Add Operation' will create another Operation within the currently selected button. New operations default to being Empty, so will require to be setup to perform a function.";
    }

    public static class GridComponentUIHelp
    {
        public const string defaultHelpText = "UIAssist buttons are grouped into a fixed Grid of multiple buttons. Multiple Grids can be configured and then the Grids can be switched between on the UIAssist Game Control UI.\n\nThe user can chose how to configure each grid but it potentially allows for groups of related buttons to be collected together in a single grid. For example, one Grid could be for loading new Appearance Presets, a second Grid for Clothing Presets and a third Grid for Poses.\n\nThe settings on this tab allow the current Grid to be configured.";

        public const string gridLayout = "Each Grid of UIAssist buttons has an array of buttons determined by this setting. The size of the grid is specified by the number of colums and rows. For example, a 3x4 grid is 3 columns wide and 4 rows tall and contains 12 buttons. Each button has a unique reference that identifies its position in the grid. For example, button R2C1 is the button located in the second row and the first column.\n\nJayJayWon patreons have access to a Quick Launch Grid which always displayed below the main button Grid. The available layouts for a Quick Launch Grid are different to those for other grids.";
        public const string buttonSize = "Every button in a Grid is the same size as determined by this setting. Larger grid layouts do not allow larger button size to be selected, to avoid overloading the available display space.";
        public const string gridLabel = "Each grid can optionally be give a unique label which will appear on the Game Control UI and this Plugin UI. If the label is left blank, then the Grid will be uniquely identified by its number in the order of grids.";
        public const string addNewGrid = "Creates a new Grid of buttons sequentially placed after the current Grid.";
    }

    public static class NodeControlComponentUIHelp
    {
        public const string defaultHelpText = "The 'Node States' tab can be used to configure the Rotation or Position target control state for each node on the target atom(s). Each node can be set to On, Off, Hold, Comply, Lock, Parent Link or Physics Link. Alternatively a node can be set to 'Do Not Change' which means its state will not be impacted by this button operation.";

        public const string head = "Filters the control nodes for the head region";
        public const string torso = "Filters the control nodes for the torso body region";
        public const string limbs = "Filters the control nodes for the limbs region";
        public const string genitals = "Filters the control nodes for the genitals body region";

        public const string targetControlMode = "The target control state for the selected node can be set to On, Off, Hold, Comply, Lock, Parent Link or Physics Link. Alternatively a node can be set to 'Do Not Change' which means its state will not be impacted by this button operation.";

        public const string allOn = "The 'All On' button will modify the settings for all of the control nodes for the current body region to the 'On' state.";
        public const string allOff = "The 'All Off' button will modify the settings for all of the control nodes for the current body region to the 'Off' state.";
        public const string allComply = "The 'All Comply' button will modify the settings for all of the control nodes for the current body region to the 'Comply' state.";
        public const string allNoChange = "The 'All No Change' button will modify the settings for all of the control nodes for the current body region to the 'Do Not Change' state.";

    }
    public static class NodePhysicsComponentUIHelp
    {
        public const string defaultHelpText = "The 'Node Phyics' tab can be used to configure the Physics settings for one or more nodes in the target atom for this button operation. Physics settings include Spring, Damper and Max Force values for Hold, Link and Comply physics aswell as the Joint Drive and Max Velocity physics. Each physics setting can be set to a custom value or reset to its default or left unchanged. The specified values can be applied to multiple nodes (e.g. left elbow, right elbow, neck etc.) - although in many cases the desired physics settings may will vary for each body part.";

        public const string hold = "The 'Hold' tab can be used to configure the VAM physics values that connect the Physics Object and it's Node Control.\n\nVaM Atoms are made of two significant parts. The Node Control and the Physics Object. The 'Node Control' (Green Square in VAM) is the node that you select when editing atoms in VAM Edit mode. The Physics Object is actual physical object that each of the node controls is connected to. ";
        public const string link = "The 'Link' tab can be used to configure the VAM physics values that connect two Physics Object together when using the 'Physical Link' control mode.";
        public const string comply = "The 'Comply' tab can be used to configure the VAM physics values that connect the Physics Object and it's Node Control when in Comply mode.";
        public const string jointDrive = "The 'Joint Drive' tab can be used to configure the VAM physics values that connect the Joint nodes with the rigidbody bones.";
        public const string maxVelocity = "The 'Max Velocity' tab can be used to configure the VAM physics values that control the maximum velocity that a node can move in the virtual VAM space.";

        public const string modifyJointDrive = "The 'Modify jointDrive' options will determnine whether the Joint Drive Physics Force values for the selected nodes will be modified as part of this button operation. The available options are to either to not modify the settings, reset them to default values, or to specify custom values to be applied.";

        public const string modifyMaxVelocity = "The 'Modify Max Velocity' options will determnine whether the Max Velocity Physics values for the selected nodes will be modified as part of this button operation. The available options are to either to not modify the settings, reset them to default values, or to specify custom values to be applied.";

        public const string maxVelocityEnabled = "When applied to a target atom node, the 'maxVelocityEnabled' setting will enable a maximum velocity that the node can move at in VAM virtual space.";
        public const string maxVelocityValue = "The 'maxVelocity' setting will determine the maximum speed that a node is limited to travel at in the VAM virutal space.";

        public const string modifyXJointDrive = "The 'Modify jointDriveXTarget' options will determnine whether the Joint Drive X Angle values for the selected nodes will be modified as part of this button operation. The available options are to either to not modify the settings, reset them to default values, or to specify custom values to be applied.";
        public const string jointDriveX = "The 'jointDriveXTarget' slider will determine the value that this button will set for the 'Joint Drive X Angle' for the target nodes when this button operation is activated.";
        public const string modifyYJointDrive = "The 'Modify jointDriveYTarget' options will determnine whether the Joint Drive Y Angle values for the selected nodes will be modified as part of this button operation. The available options are to either to not modify the settings, reset them to default values, or to specify custom values to be applied.";
        public const string jointDriveY = "The 'jointDriveYTarget' slider will determine the value that this button will set for the 'Joint Drive Y Angle' for the target nodes when this button operation is activated.";
        public const string modifyZJointDrive = "The 'Modify jointDriveZTarget' options will determnine whether the Joint Drive Z Angle values for the selected nodes will be modified as part of this button operation. The available options are to either to not modify the settings, reset them to default values, or to specify custom values to be applied.";
        public const string jointDriveZ = "The 'jointDriveZTarget' slider will determine the value that this button will set for the 'Joint Drive Z Angle' for the target nodes when this button operation is activated.";

        public const string spring = "The slider will determine the Spring value that this button operation will set for the target nodes when this button operation is activated.\n\n'Spring' refers to the force connecting the Physics Object with its Node Control. The higher the spring the more force needs to be applied to the Physics Object to move it away from its Node Control.";
        public const string damper = "The slider will determine the Damper value that this button operation will set for the target nodes when this button operation is activated.\n\n'Damper' refers to how the spring force proportionally reacts to the relative speed between the Physics Object and the Node Control. In other words as the damper is increased the position or rotation values of the Physics object are smoothed and softened as it follows the Atom Control. As the value is lowered the more chaotic and energetic the Physics Object reacts.";
        public const string threshold = "The slider will determine the Compliance Threshold value that this button operation will set for the target nodes when this button operation is activated.";
        public const string maxForce = "The slider will determine the Max Force value that this button operation will set for the target nodes when this button operation is activated.\n\n'Max Force' refers to how much the mass of a Physics Object is affected by the acceleration of that Physics Object. Meaning the higher the mass of the Physics Object is, the more Force is required to separate that object from its Atom Control. This is similar to Spring but different in that it relates to how it reacts to outside forces such as gravity and motion and not to its connection to the Atom Control.";

        public const string modifyPositionCompliance = "The 'Modify complyPosition' options will determnine whether the Position Threshold, Spring and Damper values for the selected nodes will be modified as part of this button operation. The available options are to either to not modify the settings, reset them to default values, or to specify custom values to be applied.";
        public const string modifyRotationCompliance = "The 'Modify complyRotation' options will determnine whether the Rotation Threshold, Spring and Damper values for the selected nodes will be modified as part of this button operation. The available options are to either to not modify the settings, reset them to default values, or to specify custom values to be applied.";
        public const string modifyComplianceSpeed = "The 'Modify complySpeed' options will determnine whether the Comply Speed value for the selected nodes will be modified as part of this button operation. The available options are to either to not modify the settings, reset them to default values, or to specify custom values to be applied.";
        public const string complianceSpeed = "The 'complySpeed' slider will determine the Compliance Speed value that this button operation will set for the target nodes when this button operation is activated.";
        public const string modifyJointDriveSpring = "The 'Modify complyJointDriveSpring' options will determnine whether the Comply Joint Drive Spring value for the selected nodes will be modified as part of this button operation. The available options are to either to not modify the settings, reset them to default values, or to specify custom values to be applied.";
        public const string jointDriveSpring = "The 'complyJointDriveSpring' slider will determine the Compliance Joint Drive Spring value that this button operation will set for the target nodes when this button operation is activated. ";

        public const string modifyPositionSDF = "The 'Modify holdPosition or linkPosition' options will determnine whether the position Spring, Damper and Max Force values for the selected nodes will be modified as part of this button operation. The available options are to either to not modify the settings, reset them to default values, or to specify custom values to be applied.";
        public const string modifyRotationSDF = "The 'Modify holdRotation or linkRotation' options will determnine whether the rotation Spring, Damper and Max Force values for the selected nodes will be modified as part of this button operation. The available options are to either to not modify the settings, reset them to default values, or to specify custom values to be applied.";
        
    }

    public static class NodeSelectionComponentUIHelp
    {
        public const string defaultHelpText = "The Nodes tab allows the control nodes for the target atom to be selected. Selected control nodes (e.g. head, abdomen, neck etc) will be impacted by the button operation. If unselected then the control node will not be modified by the button operation.";

        public const string head = "Filters the control nodes for head region";
        public const string torso = "Filters the control nodes for torso body region";
        public const string limbs = "Filters the control nodes for limbs region";
        public const string genitals = "Filters the control nodes for genitals body region";

        public const string selectNode = "When the selected node is toggled on, it will be flagged as being within the scope of the button operation.";

        public const string selectAll = "The 'Select All' button will select all the control nodes for the current body region.";
        public const string DeSelectAll = "The 'Unselect All' button will de-select all the control nodes from the current body region.";
    }



    public static class SpawnAtomComponentUIHelp
    {
        public const string defaultHelpText = "The Atom tab contains settings that allow configuration of the new Atom to be spawned. This includes the type of Atom and optionally it's name.\n\nThe postion of the new Atom, Presets and Plugins are determined in separate tabs. Depending on the type of atom being spawned, different Presets will be available to select in the Presets tab. Person atoms will have Appearance, Pose and Plugin preset options. Other atom types will be able to load a General Preset.";

        public const string newAtomCategory = "The Atom category for the new Atom which will be spawned. This setting will filter the available options in the Atom Type selection.";
        public const string newAtomType = "The type of Atom that will be created when the operation is activated. The available options are filtered by the Atom Category selection.";
        public const string specifyName = "Activating the 'Specify new Atom name' toggle will determine if the user can specify an Atom name for the new Atom. If this option is not activated then VAM will allocated a default name.";
        public const string newAtomName = "The name to be allocated to the new atom when it is created. If the specified name already exists in the scene, then the name will have a number appended to differentiate it from any other Atoms in the scene.";
    }

    public static class RelativePositionComponentUIHelp
    {
        public const string defaultHelpText ="The Position tab allows button operations to be configured that perform a function in relation to a postion in the VAM 3D game space. For example, Spawn Atom or Teleport Atom will position an Atom at a location in the game space.\n\nPositions can be specified relative to the scene origin, another atom or the user's VR head or hands. (In desktop mode the VR Head and Hand position are considered to be the same as the users viewpoint.)\n\nDuring button setup, the postion can be tested on an Atom to ensure alignment with other objects. Whilst in test mode, manually moving the Atom will also adjust the relative position setting in UIAssist.";

        public const string relativeTo = "The button operation will use a position relative to the setting chosen in this control. The options allow a position to be specified relative to the Scene Origin (an absolute position) or another atom (determined by Gaze Control) or the users current VR position (either their head or hands).";
        public const string targetNode = "Target node of the atom that the position will be relative to. For example, this allows a position to be specified relative to a target person's head or neck etc. ";
        public const string parentLink = "The 'Parent atom to Target Node' option will ensure that when a new Atom is spawned relative to a person body node, then a parent link is established. This ensures that the two items are linked together for any further movements.";
        public const string xPosition = "X axis Position Offset from the position of the 'Relative To' target.";
        public const string fixedYPos = "When activated, the 'Fixed Height' toggle will mean that the Y offset position slider is an absolute rather that relative setting. This is useful for scenarios such as spawning a person atom with their intitial position always relative to the ground (i.e. zero Y axis position). The other axis (X and Z) will remain relative to the selected 'Relative To' position.";
        public const string yPosition = "Y axis Position Offset from the position of the 'Relative To' target.";
        public const string zPosition = "Z axis Position Offset from the position of the 'Relative To' target.";
        public const string fixedXRot = "When activated, the 'Fixed Pitch' toggle will mean that the X offset rotation slider is an absolute rather that relative setting. This is useful for scenarios such as spawning a person atom with their intitial orientation always in a horizontal upright position relative to the ground level.";
        public const string xRotation = "X axis Rotation Offset from the orientation of the 'Relative To' target. This value can be considered to be an adjustment to the Pitch of the target relative to it's forward direction.";
        public const string yRotation = "Y axis Rotation Offset from the orientation of the 'Relative To' target. This value can be considered to be an adjustment to the Yaw of the target relative to it's forward direction.";
        public const string fixedZRot = "When activated, the 'Fixed Roll' toggle will mean that the Z offset rotation slider is an absolute rather that relative setting. This is useful for scenarios such as spawning a person atom with their intitial orientation always in a horizontal upright position relative to the ground level.";
        public const string zRotation = "Z axis Rotation Offset from the orientation of the 'Relative To' target. This value can be considered to be an adjustment to the Roll of the target relative to it's forward direction.";
        public const string testAtomOn = "The setting allows an Atom from the current scene to be chosen to test the currently configured position and rotations. Only atoms of the type that are relevant to this Button Operation will be listed. Once selected an option to start the test will be available. Its strongly advised that a chosen test atom is not one currently being controlled by animation or linked to other atom positions.";
        public const string disableCollision = "When the test is active, this setting will control whether collisions on the test atom are on or not.";
        public const string startTest = "When 'Start Test' is activated, the selected Test Atom will be moved instantly (but temporarily) to the configured position. Whilst the test is active, the position can be adjusted using the position and rotation sliders. Alternatively if the atom is moved using normal VAM controls (e.g. VR grab and drag) then the position and rotation settings in UIAssist will be updated accordingly.";
        public const string endTest = "'End Test' will terminatate the test mode and return the test atom to its original position and rotation.";
    }

    public static class MoveAtomComponentUIHelp
    {
        public const string defaultHelpText = "The Lock Movement tab allows specific axis of postion and rotation movement to be locked. For example, one UIAssist button could be configured to only allow movement of an Atom in the horizontal X and Z plane. Another UIAssist button could then be configured to only allow movement along the Y axis, adjusting the height of the atom from the ground.\n\nThese locks are only applied to Atom movement using the UIAssist 'Move Atom' operation.";


        public const string lockXPos = defaultHelpText+"\n\nWhen active, 'Lock X Axis Position' will prevent position movement along the X axis.";
        public const string lockYPos = defaultHelpText + "\n\nWhen active, 'Lock Y Axis Position' will prevent position movement along the Y axis.";
        public const string lockZPos = defaultHelpText + "\n\nWhen active, 'Lock Z Axis Position' will prevent position movement along the Z axis.";
        public const string lockXRot = defaultHelpText+"\n\nWhen active, 'Lock X Axis Rotation' will prevent rotation movement along the X axis.";
        public const string lockYRot = defaultHelpText + "\n\nWhen active, 'Lock Y Axis Rotation' will prevent rotation movement along the Y axis.";
        public const string lockZRot = defaultHelpText + "\n\nWhen active, 'Lock Z Axis Rotation' will prevent rotation movement along the Z axis.";

    }

    public static class FileReferencesComponentUIHelp
    {
        public const string defaultHelpText = "This tab allows configuration of external file references (e.g. Presets or Scenes) required for the button operation. Certain operations (e.g. Spawn Atom) allow for multiple different file references to be specfied.\n\nJayJayWon Patreon users have additional File Selection options. These allow for the file reference to be determined at the time the button operation occurs (i.e. when the button is pressed on the Game Control UI) rather than when setting up the button. The additional options include random selection from a folder, or user selection from a specified folder at button operation time. This allows for features like loading a random appearance preset from a folder of collated appearance presets.";

        public const string selectMode = "The selection mode will determine how the file reference is obtained from 6 options:\n\n1) Single File - a specific file is selected for the operation.\n2) Random from Folder - a folder is specified and a random file will be selected from the folder each time the operation is activated.\n3) Alphabetical filename sequence - a folder is specified and each time the button operation is activated the next file alphabetically in the folder will be selected.\n4) Choose from Folder - when the button operation is activated, the user is presented with a standard VAM file dialog to select from.\n5) Random from BrowserAssist - BA filter settings are specified and on activation, a random file is selected from the filter results. Requires the BrowserAssist plugin.\n6) Sequential from BrowserAssist - BA filter and sort order are specified and the next file in the sequence is loaded on button activation. Requires the BrowserAssist plugin.";
        public const string fileFolderSelection = "Opens a File Selection dialog to choose a file or folder from.";
        public const string filePath = "The currently selected file or folder for this button operation.";
        public const string clearFileReference = "Clears the current file reference.";
        public const string includeSubFolders = "When 'Include Sub-Folders' is active, the random or alphabetical file selection will be from the files in the selected folder and all of it's sub-folders.";
        public const string mergeLoad = "When active, the preset load will be performed as a preset merge.";
        public const string faceDecalLimit = "When active, the Skin preset load operation will only apply the Face Decal that is specified in the Skin preset. This can be used (for example) to apply Tattoos without modifying any other Skin parameters.";
        public const string bodyDecalLimit = "When active, the Skin preset load operation will only apply the Body Decal that is specified in the Skin preset. This can be used (for example) to apply Tattoos without modifying any other Skin parameters.";
        public const string genDecalLimit = "When active, the Skin preset load operation will only apply the Genitals Decal that is specified in the Skin preset. This can be used (for example) to apply Tattoos without modifying any other Skin parameters.";
        public const string limbsDecalLimit = "When active, the Skin preset load operation will only apply the Limb Decal that is specified in the Skin preset. This can be used (for example) to apply Tattoos without modifying any other Skin parameters.";
        public const string suppressClothingLoad = "When active, the 'Suppress Clothing Load' option will prevent Clothing being loaded with the Appearance Preset for this button operation.";
        public const string suppressScaleLoad = "When active, the 'Suppress Scale Load' option will prevent Person Scale being modified with the Appearance Preset for this button operation.";
        public const string mocapPerson = "If the Scene selected for Mocap import contains more than one Person atom, then the person to source the mocap from can be selected from this drop down list.";
        public const string mocapHeelAdjust = "Enabling this option will apply HeelAdjust foot and toe rotations to the pre-recorded mocap when it is loaded. Without this setting then mocap playback will override any heel adjust settings that are enabled. This should only be applied to mocap scenes that have not been recorded with heels. The shoes for heel adjustment should be worn by the target person atom before loading the mocap using this button operation.";

        public const string closeGridOnLoadUIAP = "'Close Grids on UIAP Load' will determine whether the Grids in Game Control UI are closed when the UIAP is loaded for this button operation. If the setting is not active, then the Game Control UI wll remain open.";

        public const string forceUniqueSaveName = "'Force unique filename on save' will ensure that the Save Preset operation does not overwrite any existing presets. If any existing preset with the specified name already exists, a unique number will be appended to the filename before saving.";

        public const string morphPresetIncludePhysical = "When active, this option will include Physical (Pose) morphs in the preset load or save.";
        public const string morphPresetIncludeApp = "When active, this option will include Appearance morphs in the preset load or save.";

        public const string generalPresetIncludeApp = "When active, this option will include Appearance parameters in the preset load or save.";
        public const string generalPresetIncludePhysical = "When active, this option will include Physical parameters in the preset load or save.";
        public const string generalPresetIncludePose = "When active, this option will include Pose parameters in the preset load or save.";

        public const string posePresetSnapBoneToPose = "If the preset being loaded does not have bone positons and rotations stored in it, and only has the controls, this option will determine if the bones smoothly move to meet the controls after load or if the bones are snapped to the controls position on load.";

        public const string baFilterParameterSelector = "Different BrowserAssist filter settings can be selected from this option. For example, to select files based on their BrowserAssist tag - select the 'Resource Tags' option which will then reveal a popup menu to apply a filter based on Tags. Further BrowserAssist filter settings (such as 'Only Favorite' or 'Show Hidden') can be set with the other options in this popup menu.";
        public const string baTagGroupTypeFilter = "Select an option to filter BrowserAssist results based on the Tags applied to a resource. The different options mimic those available in the BrowserAssist plugin. The 'Specific User Tag...' option will reveal a further popup menu to select a specific user defined tag. The 'User Default' option will apply the default values that are setup in the BrowserAssist plugin.";
        public const string baUserTagNameFilter = "Select a BrowserAssist Tag from the available Tags for this resource type. The filter results will only include resources that have been labelled with this Tag.";
        public const string baShowHiddenFilter = "Select an option to filter BrowserAssist results based on whether they are Hidden or not. The 'User Default' option will apply the default values that are setup in the BrowserAssist plugin.";
        public const string baOnlyFavoriteFilter = "Select an option to filter BrowserAssist results based on whether they are Favorited or not. The 'User Default' option will apply the default values that are setup in the BrowserAssist plugin.";
        public const string baOnlyNewFilter = "Select an option to filter BrowserAssist results based on whether they are flagged as New or Updated. The 'User Default' option will apply the default values that are setup in the BrowserAssist plugin.";
        public const string baCreatorLocalFilter = "Select an option to filter BrowserAssist results based on whether they are packaged in a VAR or not. The different options mimic those available in the BrowserAssist plugin. The 'Specific Creator...' option will reveal a further popup menu to select a specific package Creator. The 'Local Folders...' option will reveal further options to select a specific local folder. The 'User Default' option will apply the default values that are setup in the BrowserAssist plugin.";
        public const string baCreatorNameFilter = "Select a Package Creator from the available creator names for this resource type. The filter results will only include resources within VAR packages that have been published  by this Creator.";
        public const string baLocalFolderFilter = "The currently selected folder for local resources is displayed in this text box. The filter results from BrowserAssist will only include resources in this folder.";
        public const string baIncludeSubFolderFilter = "When active, the BrowserAssist filter results will include resources inside subfolders of the selected folder.";
        public const string baResetLocalFolderFilter = "Activate this button to reset the local folder filter setting to the root folder for this resource type.";
        public const string baSelectLocalFolderFilter = "Activate this button to launch a folder browser window to select a local folder as a filter setting.";
        public const string baSortModeFilter = "Select an option to sort the BrowserAssist filter results. The different options mimic those available in the BrowserAssist plugin. The 'User Default' option will apply the default values that are setup in the BrowserAssist plugin.";
    }

    public static class HairColorComponentUIHelp
    {
        public const string defaultHelpText = "The Hair Color tab allows the color settings from an existing hair style to be captured. Any Sim hair on a Person atom in the current scene can be used as the source of the hair (and scalp) color. Once the hair color has been captured, executing the button operation will apply the captured color to the target persons hair. The main hair and the scalp colors can be configured separately.";

        public const string hairColorFrom = "Select the source of the hair to capture the color settings from. Any person atom in the current scene will be listed if they have Sim hair applied. Once selected, then the color settings for that hair will be captured as part of the button operations configuration.";
        public const string hairColorJson = "Once a hair color has been selected, this text box will display all the values that relate to that Sim hair settings that have been captured. There is no need to inspect or understand the contents - but it gives a visual clue that settings have been captured.";
        public const string scalpColorFrom = "Select the source of the scalp to capture the color settings from. Any person atom in the current scene will be listed if they have Sim hair applied. Once selected, then the color settings for that scalp will be captured as part of the button operations configuration.";
        public const string scalpColorJson = "Once a scalp color has been selected, this text box will display all the values that relate to the Scalp hair settings that have been captured. There is no need to inspect or understand the contents - but it gives a visual clue that settings have been captured.";
    }

    public static class PresetLockComponentUIHelp
    {
        public const string defaultHelpText = "The Preset Locks tab, controls which standard VAM Preset Locks on the target person atom are toggled when the button operation is activated. Each time the operation is activated then each of the Preset Locks selected will be toggled on or off.\n\nPresest locks block particular aspects of a Person atom being changed with a Preset or Scene load (e.g. a Hair Preset Lock will prevent hair changing when loading an Appearance preset). Locks can also be used to block specific person atom changes between scene loads (including Merge Scene Loads) - as long as the atom name of the person is the same in the new scene as the previous scene.";

        public const string toggleOnKeep = "When this button operation is toggled ON then, if this setting is enabled, the VAM setting 'Keep Preset Locks between Scene Loads' will be ENABLED on the target person atom.\n\nEnabling this setting will ensure that whenever Preset Locks are applied that those locks are held between scene load. This means that the aspect that is locked (e.g. Hair) is maintained on the target atom even when a new scene is loaded. Its recommended that this setting is enabled as its commonly the desired behaviour that people want from using Preset locks.";
        public const string toggleOffDisable = "When this button operation is toggled OFF then, if this setting is enabled, the VAM setting 'Keep Preset Locks between Scene Loads' will be DISABLED on the target person atom.";
    }

    public static class PluginLoadComponentUIHelp
    {
        public const string defaultHelpText = "The Plugins Load tab allows one or more Plugins to be selected. Each plugin will be loaded to the target Atom(s) when the button operation is activated. Each plugin can optionally be configured to load with a specific configuration (i.e. the Initial Plugin Data).\n\nThis button operation is very similar to merge loading a Plugin Preset - however there are a number of additional options that are only available with this method. This function can also be used on atoms other than Person Atoms, where as Plugin Presets can only be applied to Person Atoms.";

        public const string pluginLoadSelector = "The Plugin Load selector allows the user to configure multiple different plugins to be loaded as part of this operation. Each plugin is given a unique number reference starting with 1. The 'Add Plugin' option in the drop down will increment the number of plugins to be loaded. When more that one plugin is added, they can be configured separately by scrolling with the '<' and '>' buttons or selecting a different number reference in the drop down. The UI below this selector will relate to the selected plugin reference in this drop down.\n\nWhen more that one plugin is configured, a 'Remove Plugin' option will also be available.";
        public const string pluginFileSelect = "'Select Plugin File' will launch a file dialog to navigate to and select a Plugin file. The selected plugin will be loaded to the target atom(s) as part of this button operation.";
        public const string pluginSelectedFile = "When a plugin file has been selected, the file path and filename will be displayed in this text box. The selected plugin will be loaded to the target atom(s) as part of this button operation.";
        public const string useLatestVAR = "Activating the 'Use Latest VAR' toggle will ensure that if the selected plugin file reference is from a VAR package, then the button operation will load the plugin from the latest VAR package that is available on your system.\n\nThis means that, if you setup a button to load a particular plugin and then a more up to date version of the plugin is released by the author, there is no need to update the UIAssist configuration to point to a different version of the VAR package.";
        public const string openPluginUIOnLoad = "When enabled, the VAM Custom Plugin UI for the first Plugin to be loaded will be opened on button activation.";
        public const string loadLimiter = "The 'Limit to 1 plugin instance per Atom' option will prevent multiple instances of this plugin being loaded to the same Atom - no matter how many times this button operation is activated. This is useful for plugins that logically should only have a single instance in an Atom. If the plugin is alredy loaded, then either this plugin load is skipped or (optionally) the plugin is re-loaded with the initial data configured below.";
        public const string dataRestore = "When the limit to single instance option is active and an existing instance is detected, this toggle will determine whether an existing instance of the plugin is re-loaded or not.\n\nIf the option is active, then the existing plugin instance will be reloaded with the initial data selected below.\n\nIf the options is inactive, then the existing plugin instance will remain untouched, effectively skipping this plugin load.";
        public const string initialPluginDataSelector = "Many plugins have a configuration that can be saved as part of a VAM Scene or a VAM Preset. UIAssist can load a specific set of this configuration data whenever the plugin is loaded by this Button Operation.\n\nTo setup this 'Plugin Load' operation to configure the plugin with an initial set of plugin data, an instance of the plugin should be avavilable in the current scene. That instance should be configured to a specific state that is required to be captured and recreated. Once the configuration data is captured in UIAssist, the souce plugin for the configuration data is no longer required.\n\nThis drop down selector will list all available plugins (of the type to be loaded) from the current scene. When a plugin is selected then the state of that plugin is captured by UIAssist and will be reinstated when ever this button operation is activated. If no plugins of the correct type are available in the current scene then '<None available>' will be displayed in the drop down selector.";
        public const string initialData = "The inital configuration of the plugin that is loaded will be determined by the JSON formatted data displayed in this text box. If the text box is empty, then the plugin will be loaded with its default settings.\n\nThis text is meant to be a visual indicator that data has been captured and configured for this button operation. There is no requirement to interpret or understand the contents of the text.\n\nThe data represented is the same as that included in a Plugin Preset file or Scene file. For performance reasons, the length of the displayed text is capped beyond a certain size.";

    }

    public static class PluginSettingsUIHelp
    {
        public const string defaultHelpText = "The 'Plugin Control' tab can be used to configure the button operation to change settings (or perform actions) in other plugins that are loaded in the target of this UIAssist button. The exact settings that can be adjusted will be determined by the author of the targeted plugin. Any plugin setting (or action) that can be adjusted using the in game VAM trigger system can also be triggered from a UIAssist button operation.\n\nWhen setting up a UIAssist operation, an instance of the target plugin type needs to exist somewhere in the current scene (or as a session plugin). Once the UIA Button is configured, that target plugin no longer needs to be available. When a UIAssist button operation is executed, the setting adjustment will be performed on all instances of the selected plugin type that exist in the target atoms(s) or Session plugins.";

        public const string pluginSelector = "'Plugin Type' selector determines the type of plugin that will be targeted by the button operation. When the UIAssist button operation is executed, instances of this plugin type, that are in the target atom(s) will be impacted.\n\nOnly plugins that are loaded (in the current scene or as Session plugins) can be selected when setting up the button operation. Once the UIAssist button configuration has been setup, the plugin does not need to be present until the button operation is activated.";

        public const string pluginAction = "'Select Plugin Action' contains the available Actions that can be performed on the selected plugin Type. When the UIAssist button operation is executed, this action will be triggered.";
        public const string pluginActionOn = "'Button ON Plugin Action' contains the available Actions that can be performed on the selected plugin Type. When the UIAssist button operation is toggled to the ON state, this action will be triggered.";
        public const string pluginActionOff = "'Button OFF Plugin Action' contains the available Actions that can be performed on the selected plugin Type. When the UIAssist button operation is toggled to the OFF state, this action will be triggered.";

        public const string pluginBool = "'Select Plugin Bool' contains the available Boolean parameters that can be altered on the selected plugin Type. When the UIAssist button operation is executed, the selected boolean parameter will be toggle to be either True or False.";
        public const string pluginBoolSetTrue = "'Select Plugin Bool' contains the available Boolean parameters that can be altered on the selected plugin Type. When the UIAssist button operation is executed, the selected boolean parameter will be set to True.";
        public const string pluginBoolSetFalse = "'Select Plugin Bool' contains the available Boolean parameters that can be altered on the selected plugin Type. When the UIAssist button operation is executed, the selected boolean parameter will be set to False.";

        public const string pluginSettingsParamSelector = "'Plugin Settings' contains all available plugin parameters on the selected plugin type. This will list all available Float, Bool, String, String Chooser and Color settings that have been made alterable by the author of the selected plugin type. When the UIAssist button operation is activated, then any of these parameters that have been set to be modified will be altered in plugins (of the selected type) in the target atom(s).\n\nAny plugin parametes that are configured for modification are indicated in the drop down list with '+' prefix and postfix.";
        public const string pluginSettingsONParamSelector = "'Button ON Plugin Settings' contains all available plugin parameters on the selected plugin type. This will list all available Float, Bool, String, String Chooser and Color settings that have been made alterable by the author of the selected plugin type. When the UIAssist button operation is toggled ON, then any of these parameters that have been set to be modified will be altered in plugins (of the selected type) in the target atom(s).\n\nAny plugin parametes that are configured for modification are indicated in the drop down list with '+' prefix and postfix.";
        public const string pluginSettingsOFFParamSelector = "'Button OFF Plugin Settings' contains all available plugin parameters on the selected plugin type. This will list all available Float, Bool, String, String Chooser and Color settings that have been made alterable by the author of the selected plugin type. When the UIAssist button operation is toggled OFF, then any of these parameters that have been set to be modified will be altered in plugins (of the selected type) in the target atom(s).\n\nAny plugin parametes that are configured for modification are indicated in the drop down list with '+' prefix and postfix.";

        public const string modifyPluginSetting = "When activated, the 'Modify plugin setting' toggle will make the selected plugin parameter (in the selected plugin type) adjustable when the UIAssit button operation is triggered. When inactive, the plugin parameter will not be altered as part of this UIAssist buttion operation.";

        public const string floatPluginSetting = "This slider will determine the float value that will be assigned to the plugin parameter when the UIAssist button operation is activated.";
        public const string boolPluginSetting = "This toggle will determine the boolean value that will be assigned to the plugin parameter when the UIAssist button operation is activated.";
        public const string stringChooserPluginSetting = "This drop down choices selector will determine that value to be assigned to the plugin parameter when the UIAssist button operation is activated.";
        public const string stringPluginSetting = "This text box will determine the string value that will be assigned to the plugin parameter when the UIAssist button operation is activated.";
        public const string colorPluginSetting = "This color picker will determine the color that will be assigned to the plugin parameter when the UIAssist button operation is activated.";

    }

    public static class ButtonSkinComponentUIHelp
    {
        public const string defaultHelpText = "The appearance of the UIAssist button can be customised in this 'Display' tab. Each configurable aspect (e.g. text size, color etc) will adopt the default settings (configured under Settings > Button Display) unless specific settings are configured here.\n\nDepending on their function, some UIAssist buttons are dual state and allow toggling between these two states each time the button is pressed (e.g. Toggle between VAM Play Mode and VAM Edit Mode). The two states (referred to as the On state and the Off state) can have different appearances defined. For example, its possible to have a button color be blue when in VAM Play Mode and then turn to red when in VAM Edit Mode. The appearance for both On and Off states can be defined in these settings. Where a button only has one state, the appearance will be defined by the On settings. Some attributes are always the same for both states (e.g. Font Size, Text Alignment).";
        

        public const string textTab = "The Text tab contains settings to specify the appearance of button text, such as the text size, color and font.";
        public const string onColorsTab = "The On Colors tab contains settings to specify the button and text colors. These settings apply to toggle buttons in the initial On State.";
        public const string offColorsTab = "The Off Colors tab contains settings to specify the button and text colors. These settings apply to toggle buttons in the Off State.";
        public const string colorsTab = "The Colors tab contains settings to specify the button and text colors for this UIAssist button.";
        public const string thumbnailTab = "The Thumbnail tab contains settings to specify a thumbnail image to appear on the background of this UIAsssit button. For toggle buttons, separate thumbnails can be specified for On and Off states.";

        public const string autoLabel = "Each UIAssist button can have a text label. If the 'Auto Label' is active then a label is automatically generated based on the button's configuration. If 'Auto Label' is inactive, then the user can specify a label in the text box below. If no label is required, then disable 'Auto Label' and clear the label text box.";
        public const string buttonLabel = "Specify a customised label that will appear on this UIAssist button. If no label is required, then clear the text from this box.";
        public const string buttonOffLabel = "Specify a customised label that will appear on this UIAssist button when the button is in the Off state. If no label is required, then clear the text from this box.";

        public const string useDefaultFont = "Disable this toggle to customise the font for this UIAssit button";
        public const string textFont = "The font used for the label text of this button";
        public const string useDefaultTextAlignment = "Disable this toggle to customise the text aligment for this UIAssit button";
        public const string textAlignment = "The alignment used for the label text of this button.";

        public const string useDefaultFontSize = "Disable this toggle to customise the font size for this UIAssit button";
        public const string fontSizeMin = "The minimum Font Size for the label text of this button. Text will be automatically resized to the largest possible size that fits within the button, constrained by the minumum and maximum font sizes.";
        public const string fontSizeMax = "The maximum Font Size for the label text of this button  . Text will be automatically resized to the largest possible size that fits within the button, constrained by the minumum and maximum font sizes.";


        public const string useDefaultButtonColor = "Disable this toggle to customise the button color for this UIAssit button";
        public const string buttonColor = "The background Button color used for this button.";
        public const string useDefaultTextColor = "Disable this toggle to customise the font size for this UIAssit button";
        public const string textColor = "The Text color used for this button.";

        public const string useDefaultButtonOnColor = "Disable this toggle to customise the button color for this UIAssit button when it is in the On state.";
        public const string buttonOnColor = "The background Button color used for this button when in the On State.";
        public const string useDefaultTextOnColor = "Disable this toggle to customise the font size for this UIAssit button";
        public const string textOnColor = "The Text color used for this button when in the On State.";
        public const string useDefaultButtonOffColor = "Disable this toggle to customise the font size for this UIAssit button";
        public const string buttonOffColor = "The background Button color used for this button when in the Off State.";
        public const string useDefaultTextOffColor = "Disable this toggle to customise the font size for this UIAssit button";
        public const string textOffColor = "The Text color color used by default for used for this button when in the Off State.";

        public const string usePresetThumbnail = "When 'Use Preset Thumbnail' is enabled, this UIAssist Button will utilise the Thumbnail image for the Preset that has been selected as part of the button Operation.";
        public const string useDefaultThumbnailOn = "Disable this toggle to customise the thumbnail used for this button";
        public const string onThumbnailURL = "File path to the currently selected thumnbnail image used for this button appearance. If blank, then no thumbnail image will be used. For toggle buttons this setting applies when the button is in the On state.";
        public const string onSelectThumbnail = "This button will launch a file browser to select an image to be used as a Thumbnail for this UIAssist button.";

        public const string useDefaultThumbnailOff = "Disable this toggle to customise the thumbnail used for this button when in the Off state.";
        public const string offThumbnailURL = "File path to the currently selected thumnbnail image used for this button, when in the off state. If blank, then no thumbnail image will be used. This setting only applies to toggle buttons.";
        public const string offSelectThumbnail = "This button will launch a file browser to select an image to be used as the Thumbnail for this button, when it is in the off state.";

    }

    public static class MergeClothingUIHelp
    {
        public const string defaultHelpText = "When performing a Merge Clothing Preset operation, the 'Remove' tab allows for categories of existing clothing items to be removed based on their clothing tag. Select the clothing tags to remove from the list of toggles. Any clothing item that matches the selected tags will be removed from the target atoms before the new clothing items from the Merge Clothing Preset are added.\n\nThis feature is useful, for example, to allow multiple UIAssist buttons to be configured to switch between different shoe setups. Each shoe combination can be setup as a Preset and then a Merge Clothing Preset button configured for each Preset. By selecting the 'shoes' tag to be removed as part of the operation, having multiple pairs of shoes worn simultaneously can be avoided.";
    }

    public static class DecalMakerUIHelp
    {
        public const string defaultHelpText = "Decal Maker tab facilitates the configuration of an integration with the DecalMaker plugin by Chokaphi (available from the VAM Hub). The DecalMaker plugin allows decals to be merge loaded so that multiple decal textures can be applied to the same body part simultaneously. For example, this can be used to apply and merge a tattoo and makeup from two different textures.\n\nUIAssist allows decal textures to be toggled on and off with a single button press on the UIAssist interface. Each UI Assist button can be configured to load multiple face, torso, genital and limb decals. Once all the decals are setup, then activating the UIAssist button operation will apply or remove the decals to the target person. If the target person does not have the DecalMaker plugin loaded, then UIAssist will attempt to load the latest version of the DecalMaker plugin from VARs (if available).\n\nIf any decals are active in the VAM skin texture settings of the target person, then UIAssist will automatically add those decals with the decals configured in these settings.";

        public const string faceTab = "'Face Decals' tab allows configuration of DecalMaker to merge load multiple decals to the face body region.";
        public const string torsoTab = "'Torso Decals' tab allows configuration of DecalMaker to merge load multiple decals to the torso body region.";
        public const string limbsTab = "'Limbs Decals' tab allows configuration of DecalMaker to merge load multiple decals to the limbs body region.";
        public const string gensTab = "'Genitals Decals' tab allows configuration of DecalMaker to merge load multiple decals to the genitals body region.";

        public const string selectDecal = "'Select Decal' drop down allows selection of the different decals that are to be loaded into the DecalMaker where multiple decals are being merged on the same body region. Each decal is identified by a numeric index. The configuration details below the drop down (e.g. color, alpha and decal file) will relate to the numerically indexed decal.";
        public const string decalFilePath = "File path to the selected decal will be displayed in this text box. If the text box is blank then no decal has been selected yet. The selected decal will be loaded into Decal Maker when the UIAssist button operation is activated.";
        public const string selectDecalFile = "The 'Select Decal File' button will launch a file browser dialog for the user to select a decal file.";
        public const string decalColor = "The selected color will be applied to the current decal in Decal Maker when the UIAssist button operation is activated.";
        public const string decalAlpha = "The selected float value will be applied to the alpha value of the decal in Decal Maker when the UIAssist button operation is activated. The alpha value determines the transparency of the decal (where 0 is transparent and 1 is opaque).";

        public const string addDecal = "The 'Add Decal' button will add a new decal to the list of decals to be merged on the current body region. Each decal is assigned a unique numeric index which can be selected to modify the configurable attributes (e.g. color, alpha and decal file)";
        public const string deleteDecal = "The 'Remove Decal' button will remove the currently selected decal from the list of decals to be merged in DecalMaker when the UIAssist button operation is activated.";
    }



}
