using UnityEngine;
using System.Collections.Generic;

namespace JayJayWon
{
    public static class UIAConsts
    {
        public const string pluginName = "UIAssist";
        public const string pluginAuthor = "JayJayWon";
        public const int pluginMajorVersion = 2;
        public const int pluginMinorVersion = 11;
        public const int pluginDefectVersion = 0;
        public static string pluginVersion = pluginMajorVersion.ToString()+"."+ pluginMinorVersion.ToString()+"."+ pluginDefectVersion.ToString();
        public const int uiapFormatVerion = 2;
        public const bool debugLogging = false;

        public static List<string> VAMSaveRestoreActions = new List<string>() { "SaveToStore1", "SaveToStore2", "SaveToStore3", "RestoreAllFromStore1", "RestoreAllFromStore2", "RestoreAllFromStore3", "RestorePhysicsFromStore1", "RestorePhysicsFromStore2", "RestorePhysicsFromStore3", "RestoreAppearanceFromStore1", "RestoreAppearanceFromStore2", "RestoreAppearanceFromStore3", "RestoreAllFromDefaults", "RestorePhysicalFromDefaults", "RestoreAppearanceFromDefaults" };

        public const float _gazeFOVNarrow = 10f;
        public const float _gazeFOVWide = 60f;

        public static Color UIhighlightColor = Color.cyan;

        public const float _TimeBetweenClothingUpdates = 0.1f;
        public const float _TimeBetweenHAFileUpdates = 1f;
        public const float _TimeBetweenGazeTargetUpdates = 0.1f;
        public const string LegacyPluginDataSubfolderName = "Custom\\Scripts\\JayJayWon";
        public const string _PluginDataSubfolderName = "Saves\\PluginData\\JayJayWon\\UIAssist";
        public const string DefaultPrimaryUIAPFileName = "default.1.uiap";
        public const string DefaultSecondaryUIAPFileName = "default.2.uiap";
        public const string _HeelAdjustSubfolderName = "HeelAdjust";
        public const string _HeelAdjustFileExtension = "heeladjust";
        public static string _vamFilePath = Application.dataPath.Substring(0, Application.dataPath.Length - 8).Replace('/', '\\');
        public const float _ShoeColliderBaseScale = 0.01f;
        public const float _FCV3ResetDelay = 0.8f;
        public const float _localCanvasScale = 0.001f;
        public const float _gasWidth = 200f;
        public const float _gasMinHeight = 200f;
        public const float _gazeStatusMinWidth = 240f;
        public const float _gazeStatusMaxHeight = 65f;
        public const float _toggleButtonHeight = 24f;
        public const float _leapFingerTipOffet = 0.02f;
        public static readonly List<string> _gazeRBs = new List<string>(new[] { "hip", "pelvis", "Testes", "rThigh", "lThigh", "rShin", "lShin", "rFoot", "lFoot", "LGlute", "RGlute", "abdomen", "abdomen2", "chest", "rCollar", "lCollar", "rShldr", "lShldr", "lPectoral", "rPectoral", "neck", "head", "control" });

        public static readonly List<string> headFCs = new List<string>(new[] { "headControl", "neckControl","eyeTargetControl" });
        public static readonly List<string> bodyFCs = new List<string>(new[] { "hipControl", "pelvisControl", "chestControl","rNippleControl", "lNippleControl", "rThighControl", "lThighControl", "abdomenControl", "abdomen2Control", "lShoulderControl", "rShoulderControl" });
        public static readonly List<string> genFCs = new List<string>(new[] { "testesControl", "penisBaseControl", "penisMidControl","penisTipControl" });
        public static readonly List<string> limbFCs = new List<string>(new[] { "rHandControl", "lHandControl","rElbowControl", "lElbowControl", "rArmControl", "lArmControl", "rKneeControl", "lKneeControl", "rFootControl", "lFootControl", "rToeControl", "lToeControl" });

        public static readonly List<string> keyJointFCs = new List<string>(new[] { "rHandControl", "lHandControl", "headControl", "chestControl", "hipControl", "rFootControl", "lFootControl" });
        public static readonly List<string> keyElbowKneeJointFCs = new List<string>(new[] { "rHandControl", "lHandControl", "headControl", "chestControl", "hipControl", "rFootControl", "lFootControl", "rElbowControl", "lElbowControl","rKneeControl", "lKneeControl",  });
        public static readonly List<string> allJointFCs = new List<string>(new[] { "headControl", "neckControl", "eyeTargetControl","rHandControl", "lHandControl", "rElbowControl", "lElbowControl", "rArmControl", "lArmControl", "rKneeControl", "lKneeControl", "rFootControl", "lFootControl", "rToeControl", "lToeControl", "hipControl", "pelvisControl", "chestControl", "rNippleControl", "lNippleControl", "rThighControl", "lThighControl", "abdomenControl", "abdomen2Control", "lShoulderControl", "rShoulderControl" , "testesControl", "penisBaseControl", "penisMidControl", "penisTipControl" });
    }

    public static class UIAGlobals
    {
        public static MVRScript mvrScript;
        public static bool isActivePlugin = false;
        public static bool isPrimaryPlugin = false;
        public static bool vrActive = false;
        public static int vrLeftOrRightHand = LeftRight.left;

        public static bool hideGameControlUI = false;

    }

}
